UPDATE table_version SET version_number = '43' WHERE version_id = '1';

RENAME TABLE table_sut_content                                 TO table_sut_data;
RENAME TABLE table_defect_generic                              TO table_def_generic;
RENAME TABLE table_defect_integrated                           TO table_def_int;
RENAME TABLE table_defect_integrated_content                   TO table_def_int_data;
RENAME TABLE table_defect_integrated_assigned_to               TO table_def_int_assigned_to;
RENAME TABLE table_requirement_integrated                      TO table_req_int;
RENAME TABLE table_campaign                                    TO table_camp;
RENAME TABLE table_specification                               TO table_spec;
RENAME TABLE table_test_content                                TO table_test_data;
RENAME TABLE table_requirement_specification                   TO table_req_spec;
RENAME TABLE table_monitoring_configuration                    TO table_monitoring_conf;
RENAME TABLE table_schedule                                    TO table_sch;
RENAME TABLE table_schedule_agent                              TO table_sch_agent;
RENAME TABLE table_campaign_session                            TO table_sess;
RENAME TABLE table_testcase                                    TO table_case;
RENAME TABLE table_testcase_content                            TO table_case_data;
RENAME TABLE table_specification_test                          TO table_spec_test;
RENAME TABLE table_test_campaign                               TO table_test_camp;
RENAME TABLE table_testcase_execution                          TO table_case_exec;
RENAME TABLE table_test_execution                              TO table_test_exec;
RENAME TABLE table_test_execution_defect                       TO table_test_exec_def;
RENAME TABLE table_campaign_session_ccemails                   TO table_sess_ccemails;
RENAME TABLE table_schedule_ccemails                           TO table_sch_ccemails;
RENAME TABLE table_defect_stat                                 TO table_def_stat;
RENAME TABLE table_defect_integrated_sut                       TO table_def_int_sut;
RENAME TABLE table_configuration                               TO table_conf;
RENAME TABLE table_campaign_session_configuration              TO table_sess_conf;
RENAME TABLE table_schedule_configuration                      TO table_sch_conf;
RENAME TABLE table_campaign_session_attribute_string           TO table_sess_attr_string;
RENAME TABLE table_campaign_session_attribute_boolean          TO table_sess_attr_boolean;
RENAME TABLE table_campaign_session_attribute_integer          TO table_sess_attr_integer;
RENAME TABLE table_sut_requirement                             TO table_sut_req;
RENAME TABLE table_testcase_attachment                         TO table_case_attach;
RENAME TABLE table_testcase_attachment_content                 TO table_case_attach_data;
RENAME TABLE table_test_attachment                             TO table_test_attach;
RENAME TABLE table_test_attachment_content                     TO table_test_attach_data;
RENAME TABLE table_folder_attachment                           TO table_folder_attach;
RENAME TABLE table_folder_attachment_content                   TO table_folder_attach_data;
RENAME TABLE table_category_attachment                         TO table_category_attach;
RENAME TABLE table_category_attachment_content                 TO table_category_attach_data;
RENAME TABLE table_testcase_execution_attachment               TO table_case_exec_attach;
RENAME TABLE table_testcase_execution_attachment_content       TO table_case_exec_attach_data;
RENAME TABLE table_defect_integrated_attachment                TO table_def_int_attach;
RENAME TABLE table_defect_integrated_attachment_content        TO table_def_int_attach_data;
RENAME TABLE table_campaign_session_attachment                 TO table_sess_attach;
RENAME TABLE table_campaign_session_attachment_content         TO table_sess_attach_data;
RENAME TABLE table_requirement_integrated_attachment           TO table_req_int_attach;
RENAME TABLE table_requirement_integrated_attachment_content   TO table_req_int_attach_data;
RENAME TABLE table_specification_attachment                    TO table_spec_attach;
RENAME TABLE table_specification_attachment_content            TO table_spec_attach_data;
RENAME TABLE table_schedule_monitored                          TO table_sch_monitored;
RENAME TABLE table_requirement_integrated_content              TO table_req_int_data;
RENAME TABLE table_specification_content                       TO table_spec_data;
RENAME TABLE table_testcase_testcase_content                   TO table_case_case_data;
RENAME TABLE table_testcase_param_string                       TO table_case_param_string;
RENAME TABLE table_testcase_param_integer                      TO table_case_param_integer;
RENAME TABLE table_testcase_param_boolean                      TO table_case_param_boolean;
RENAME TABLE table_campaign_session_agent_status               TO table_sess_agent_status;
RENAME TABLE table_company_attachment                          TO table_company_attach;
RENAME TABLE table_company_attachment_content                  TO table_company_attach_data;
RENAME TABLE table_sut_attachment                              TO table_sut_attach;
RENAME TABLE table_sut_attachment_content                      TO table_sut_attach_data;
RENAME TABLE table_project_attachment                          TO table_project_attach;
RENAME TABLE table_project_attachment_content                  TO table_project_attach_data;
RENAME TABLE table_task_attachment                             TO table_task_attach;
RENAME TABLE table_task_attachment_content                     TO table_task_attach_data;
RENAME TABLE table_sprint_attachment                           TO table_sprint_attach;
RENAME TABLE table_sprint_attachment_content                   TO table_sprint_attach_data;
RENAME TABLE table_campaign_attachment                         TO table_camp_attach;
RENAME TABLE table_campaign_attachment_content                 TO table_camp_attach_data;
RENAME TABLE table_custom_field_string                         TO table_cust_string;
RENAME TABLE table_custom_field_integer                        TO table_cust_integer;
RENAME TABLE table_custom_field_boolean                        TO table_cust_boolean;
RENAME TABLE table_custom_field_html                           TO table_cust_html;
RENAME TABLE table_custom_field_stringchoice                   TO table_cust_choice;
RENAME TABLE table_custom_field_string_value                   TO table_cust_string_value;
RENAME TABLE table_custom_field_integer_value                  TO table_cust_integer_value;
RENAME TABLE table_custom_field_boolean_value                  TO table_cust_boolean_value;
RENAME TABLE table_custom_field_html_value                     TO table_cust_html_value;
RENAME TABLE table_custom_field_stringchoice_value             TO table_cust_choice_value;
RENAME TABLE table_requirement_generic                         TO table_req_generic;
RENAME TABLE table_requirement_test                            TO table_req_test;
RENAME TABLE table_defect_integrated_ccemails                  TO table_def_int_ccemails;

ALTER TABLE table_test_url                 DROP FOREIGN KEY table_test_url_ibfk_1;            
ALTER TABLE table_case_attach              DROP FOREIGN KEY table_case_attach_ibfk_2;
ALTER TABLE table_case_case_data           DROP FOREIGN KEY table_case_case_data_ibfk_1;
ALTER TABLE table_case_case_data           DROP FOREIGN KEY table_case_case_data_ibfk_2;
ALTER TABLE table_case_case_data           DROP FOREIGN KEY table_case_case_data_ibfk_3;
ALTER TABLE table_case_exec                DROP FOREIGN KEY table_case_exec_ibfk_1;
ALTER TABLE table_case_param_boolean       DROP FOREIGN KEY table_case_param_boolean_ibfk_1;
ALTER TABLE table_case_param_integer       DROP FOREIGN KEY table_case_param_integer_ibfk_1;
ALTER TABLE table_case_param_string        DROP FOREIGN KEY table_case_param_string_ibfk_1;
ALTER TABLE table_case_exec_attach         DROP FOREIGN KEY table_case_exec_attach_ibfk_2;
ALTER TABLE table_test_exec_def            DROP FOREIGN KEY table_test_exec_def_ibfk_1;
ALTER TABLE table_cust_choice_value        DROP FOREIGN KEY table_cust_choice_value_ibfk_1;
ALTER TABLE table_cust_boolean_value       DROP FOREIGN KEY table_cust_boolean_value_ibfk_1;
ALTER TABLE table_cust_html_value          DROP FOREIGN KEY table_cust_html_value_ibfk_1;
ALTER TABLE table_cust_integer_value       DROP FOREIGN KEY table_cust_integer_value_ibfk_1;
ALTER TABLE table_cust_string_value        DROP FOREIGN KEY table_cust_string_value_ibfk_1;
ALTER TABLE table_test_camp                DROP FOREIGN KEY table_test_camp_ibfk_1;
ALTER TABLE table_test_camp                DROP FOREIGN KEY table_test_camp_ibfk_2;
ALTER TABLE table_sch_ccemails             DROP FOREIGN KEY table_sch_ccemails_ibfk_1;
ALTER TABLE table_sch_ccemails             DROP FOREIGN KEY table_sch_ccemails_ibfk_2;
ALTER TABLE table_change                   DROP FOREIGN KEY table_change_ibfk_1;
ALTER TABLE table_def_int_sut              DROP FOREIGN KEY table_def_int_sut_ibfk_1;
ALTER TABLE table_def_int_sut              DROP FOREIGN KEY table_def_int_sut_ibfk_2;
ALTER TABLE table_sess_conf                DROP FOREIGN KEY table_sess_conf_ibfk_1;
ALTER TABLE table_sess_conf                DROP FOREIGN KEY table_sess_conf_ibfk_2;
ALTER TABLE table_sess_conf                DROP FOREIGN KEY table_sess_conf_ibfk_3; 
ALTER TABLE table_sch_conf                 DROP FOREIGN KEY table_sch_conf_ibfk_1;
ALTER TABLE table_sch_conf                 DROP FOREIGN KEY table_sch_conf_ibfk_2;
ALTER TABLE table_sch_conf                 DROP FOREIGN KEY table_sch_conf_ibfk_3;
ALTER TABLE table_task                     DROP FOREIGN KEY table_task_ibfk_1;
ALTER TABLE table_sprint_task              DROP FOREIGN KEY table_sprint_task_ibfk_1;
ALTER TABLE table_sprint_task              DROP FOREIGN KEY table_sprint_task_ibfk_2;
ALTER TABLE table_sprint_task              DROP FOREIGN KEY table_sprint_task_ibfk_3;
ALTER TABLE table_sprint_developer         DROP FOREIGN KEY table_sprint_developer_ibfk_1;
ALTER TABLE table_sprint_developer         DROP FOREIGN KEY table_sprint_developer_ibfk_2;
ALTER TABLE table_sprint_stat              DROP FOREIGN KEY table_sprint_stat_ibfk_1;
ALTER TABLE table_sess_attr_string         DROP FOREIGN KEY table_sess_attr_string_ibfk_1;
ALTER TABLE table_sess_attr_string         DROP FOREIGN KEY table_sess_attr_string_ibfk_2;
ALTER TABLE table_sess_attr_string         DROP FOREIGN KEY table_sess_attr_string_ibfk_3;
ALTER TABLE table_sess_attr_boolean        DROP FOREIGN KEY table_sess_attr_boolean_ibfk_1;
ALTER TABLE table_sess_attr_boolean        DROP FOREIGN KEY table_sess_attr_boolean_ibfk_2;
ALTER TABLE table_sess_attr_boolean        DROP FOREIGN KEY table_sess_attr_boolean_ibfk_3;
ALTER TABLE table_category_stat            DROP FOREIGN KEY table_category_stat_ibfk_1;
ALTER TABLE table_folder                   DROP FOREIGN KEY table_folder_ibfk_1;
ALTER TABLE table_folder                   DROP FOREIGN KEY table_folder_ibfk_2;
ALTER TABLE table_folder                   DROP FOREIGN KEY table_folder_ibfk_3;
ALTER TABLE table_folder                   DROP FOREIGN KEY table_folder_ibfk_4;
ALTER TABLE table_folder                   DROP FOREIGN KEY table_folder_ibfk_5;
ALTER TABLE table_project                  DROP FOREIGN KEY table_project_ibfk_1;
ALTER TABLE table_sut                      DROP FOREIGN KEY table_sut_ibfk_1;
ALTER TABLE table_sut_data                 DROP FOREIGN KEY table_sut_data_ibfk_1;
ALTER TABLE table_agent                    DROP FOREIGN KEY table_agent_ibfk_1;
ALTER TABLE table_usergroup                DROP FOREIGN KEY table_usergroup_ibfk_1;
ALTER TABLE table_user                     DROP FOREIGN KEY table_user_ibfk_1;
ALTER TABLE table_user                     DROP FOREIGN KEY table_user_ibfk_2;
ALTER TABLE table_user                     DROP FOREIGN KEY table_user_ibfk_3;
ALTER TABLE table_def_generic              DROP FOREIGN KEY table_def_generic_ibfk_1;
ALTER TABLE table_def_int                  DROP FOREIGN KEY table_def_int_ibfk_1;
ALTER TABLE table_def_int                  DROP FOREIGN KEY table_def_int_ibfk_2;
ALTER TABLE table_def_int_data             DROP FOREIGN KEY table_def_int_data_ibfk_1;
ALTER TABLE table_def_int_assigned_to      DROP FOREIGN KEY table_def_int_assigned_to_ibfk_1;
ALTER TABLE table_def_int_assigned_to      DROP FOREIGN KEY table_def_int_assigned_to_ibfk_2;
ALTER TABLE table_req_int                  DROP FOREIGN KEY table_req_int_ibfk_1;
ALTER TABLE table_camp                     DROP FOREIGN KEY table_camp_ibfk_1;
ALTER TABLE table_spec                     DROP FOREIGN KEY table_spec_ibfk_1;
ALTER TABLE table_test                     DROP FOREIGN KEY table_test_ibfk_1;
ALTER TABLE table_test                     DROP FOREIGN KEY table_test_ibfk_2;
ALTER TABLE table_test                     DROP FOREIGN KEY table_test_ibfk_3;
ALTER TABLE table_test_data                DROP FOREIGN KEY table_test_data_ibfk_1;
ALTER TABLE table_req_spec                 DROP FOREIGN KEY table_req_spec_ibfk_1;
ALTER TABLE table_req_spec                 DROP FOREIGN KEY table_req_spec_ibfk_2;
ALTER TABLE table_sch                      DROP FOREIGN KEY table_sch_ibfk_1;
ALTER TABLE table_sch                      DROP FOREIGN KEY table_sch_ibfk_2;
ALTER TABLE table_sch                      DROP FOREIGN KEY table_sch_ibfk_3;
ALTER TABLE table_sch                      DROP FOREIGN KEY table_sch_ibfk_4;
ALTER TABLE table_sch                      DROP FOREIGN KEY table_sch_ibfk_5; 
ALTER TABLE table_sch                      DROP FOREIGN KEY table_sch_ibfk_6;
ALTER TABLE table_sch                      DROP FOREIGN KEY table_sch_ibfk_7;
ALTER TABLE table_sch_agent                DROP FOREIGN KEY table_sch_agent_ibfk_1;
ALTER TABLE table_sch_agent                DROP FOREIGN KEY table_sch_agent_ibfk_2;
ALTER TABLE table_sess                     DROP FOREIGN KEY table_sess_ibfk_1;
ALTER TABLE table_sess                     DROP FOREIGN KEY table_sess_ibfk_2;
ALTER TABLE table_sess                     DROP FOREIGN KEY table_sess_ibfk_3;
ALTER TABLE table_sess                     DROP FOREIGN KEY table_sess_ibfk_4;
ALTER TABLE table_sess                     DROP FOREIGN KEY table_sess_ibfk_5;
ALTER TABLE table_sess                     DROP FOREIGN KEY table_sess_ibfk_6;
ALTER TABLE table_sess                     DROP FOREIGN KEY table_sess_ibfk_7;
ALTER TABLE table_instance                 DROP FOREIGN KEY table_instance_ibfk_1;
ALTER TABLE table_instance                 DROP FOREIGN KEY table_instance_ibfk_2;
ALTER TABLE table_sync                     DROP FOREIGN KEY table_sync_ibfk_1;
ALTER TABLE table_sync                     DROP FOREIGN KEY table_sync_ibfk_2;
ALTER TABLE table_case                     DROP FOREIGN KEY table_case_ibfk_1;
ALTER TABLE table_test_dependencies        DROP FOREIGN KEY table_test_dependencies_ibfk_1;
ALTER TABLE table_test_dependencies        DROP FOREIGN KEY table_test_dependencies_ibfk_2;
ALTER TABLE table_test_attr_boolean        DROP FOREIGN KEY table_test_attr_boolean_ibfk_1;
ALTER TABLE table_test_attr_boolean        DROP FOREIGN KEY table_test_attr_boolean_ibfk_2;
ALTER TABLE table_test_attr_string         DROP FOREIGN KEY table_test_attr_string_ibfk_1;
ALTER TABLE table_test_attr_string         DROP FOREIGN KEY table_test_attr_string_ibfk_2;
ALTER TABLE table_test_attr_integer        DROP FOREIGN KEY table_test_attr_integer_ibfk_1;
ALTER TABLE table_test_attr_integer        DROP FOREIGN KEY table_test_attr_integer_ibfk_2;
ALTER TABLE table_spec_test                DROP FOREIGN KEY table_spec_test_ibfk_1;
ALTER TABLE table_spec_test                DROP FOREIGN KEY table_spec_test_ibfk_2;
ALTER TABLE table_case_exec                DROP FOREIGN KEY table_case_exec_ibfk_2;
ALTER TABLE table_case_exec                DROP FOREIGN KEY table_case_exec_ibfk_3;
ALTER TABLE table_test_exec                DROP FOREIGN KEY table_test_exec_ibfk_1;
ALTER TABLE table_test_exec                DROP FOREIGN KEY table_test_exec_ibfk_2;
ALTER TABLE table_test_exec                DROP FOREIGN KEY table_test_exec_ibfk_3;
ALTER TABLE table_sess_ccemails            DROP FOREIGN KEY table_sess_ccemails_ibfk_1;
ALTER TABLE table_sess_ccemails            DROP FOREIGN KEY table_sess_ccemails_ibfk_2;
ALTER TABLE table_sprint                   DROP FOREIGN KEY table_sprint_ibfk_1;
ALTER TABLE table_sess_attr_integer        DROP FOREIGN KEY table_sess_attr_integer_ibfk_1;
ALTER TABLE table_sess_attr_integer        DROP FOREIGN KEY table_sess_attr_integer_ibfk_2;
ALTER TABLE table_sess_attr_integer        DROP FOREIGN KEY table_sess_attr_integer_ibfk_3;
ALTER TABLE table_absence                  DROP FOREIGN KEY table_absence_ibfk_1;
ALTER TABLE table_holiday                  DROP FOREIGN KEY table_holiday_ibfk_1;
ALTER TABLE table_weekend                  DROP FOREIGN KEY table_weekend_ibfk_1;
ALTER TABLE table_sut_req                  DROP FOREIGN KEY table_sut_req_ibfk_1;
ALTER TABLE table_case_attach              DROP FOREIGN KEY table_case_attach_ibfk_1;
ALTER TABLE table_case_attach_data         DROP FOREIGN KEY table_case_attach_data_ibfk_1;
ALTER TABLE table_case_attach_data         DROP FOREIGN KEY table_case_attach_data_ibfk_2;
ALTER TABLE table_test_attach              DROP FOREIGN KEY table_test_attach_ibfk_1;
ALTER TABLE table_test_attach              DROP FOREIGN KEY table_test_attach_ibfk_2;
ALTER TABLE table_test_attach_data         DROP FOREIGN KEY table_test_attach_data_ibfk_1;
ALTER TABLE table_test_attach_data         DROP FOREIGN KEY table_test_attach_data_ibfk_2;
ALTER TABLE table_folder_attach            DROP FOREIGN KEY table_folder_attach_ibfk_1;
ALTER TABLE table_folder_attach            DROP FOREIGN KEY table_folder_attach_ibfk_2;
ALTER TABLE table_folder_attach_data       DROP FOREIGN KEY table_folder_attach_data_ibfk_1;
ALTER TABLE table_folder_attach_data       DROP FOREIGN KEY table_folder_attach_data_ibfk_2;
ALTER TABLE table_category_attach          DROP FOREIGN KEY table_category_attach_ibfk_1;
ALTER TABLE table_category_attach          DROP FOREIGN KEY table_category_attach_ibfk_2;
ALTER TABLE table_category_attach_data     DROP FOREIGN KEY table_category_attach_data_ibfk_1;
ALTER TABLE table_category_attach_data     DROP FOREIGN KEY table_category_attach_data_ibfk_2;
ALTER TABLE table_case_exec_attach         DROP FOREIGN KEY table_case_exec_attach_ibfk_1;
ALTER TABLE table_case_exec_attach_data    DROP FOREIGN KEY table_case_exec_attach_data_ibfk_1;
ALTER TABLE table_case_exec_attach_data    DROP FOREIGN KEY table_case_exec_attach_data_ibfk_2;
ALTER TABLE table_def_int_attach           DROP FOREIGN KEY table_def_int_attach_ibfk_1;
ALTER TABLE table_def_int_attach           DROP FOREIGN KEY table_def_int_attach_ibfk_2;
ALTER TABLE table_def_int_attach_data      DROP FOREIGN KEY table_def_int_attach_data_ibfk_1;
ALTER TABLE table_def_int_attach_data      DROP FOREIGN KEY table_def_int_attach_data_ibfk_2;
ALTER TABLE table_sess_attach              DROP FOREIGN KEY table_sess_attach_ibfk_1;
ALTER TABLE table_sess_attach              DROP FOREIGN KEY table_sess_attach_ibfk_2;
ALTER TABLE table_sess_attach_data         DROP FOREIGN KEY table_sess_attach_data_ibfk_1;
ALTER TABLE table_sess_attach_data         DROP FOREIGN KEY table_sess_attach_data_ibfk_2;
ALTER TABLE table_req_int_attach           DROP FOREIGN KEY table_req_int_attach_ibfk_1;
ALTER TABLE table_req_int_attach           DROP FOREIGN KEY table_req_int_attach_ibfk_2;
ALTER TABLE table_req_int_attach_data      DROP FOREIGN KEY table_req_int_attach_data_ibfk_1;
ALTER TABLE table_req_int_attach_data      DROP FOREIGN KEY table_req_int_attach_data_ibfk_2;
ALTER TABLE table_spec_attach              DROP FOREIGN KEY table_spec_attach_ibfk_1;
ALTER TABLE table_spec_attach              DROP FOREIGN KEY table_spec_attach_ibfk_2;
ALTER TABLE table_spec_attach_data         DROP FOREIGN KEY table_spec_attach_data_ibfk_1;
ALTER TABLE table_spec_attach_data         DROP FOREIGN KEY table_spec_attach_data_ibfk_2;
ALTER TABLE table_monitor                  DROP FOREIGN KEY table_monitor_ibfk_1;
ALTER TABLE table_monitor                  DROP FOREIGN KEY table_monitor_ibfk_2;
ALTER TABLE table_sch_monitored            DROP FOREIGN KEY table_sch_monitored_ibfk_1;
ALTER TABLE table_sch_monitored            DROP FOREIGN KEY table_sch_monitored_ibfk_2;
ALTER TABLE table_req_int_data             DROP FOREIGN KEY table_req_int_data_ibfk_1;
ALTER TABLE table_spec_data                DROP FOREIGN KEY table_spec_data_ibfk_1;
ALTER TABLE table_project_manager          DROP FOREIGN KEY table_project_manager_ibfk_1;
ALTER TABLE table_project_manager          DROP FOREIGN KEY table_project_manager_ibfk_2;
ALTER TABLE table_case_param_string        DROP FOREIGN KEY table_case_param_string_ibfk_2;
ALTER TABLE table_case_param_integer       DROP FOREIGN KEY table_case_param_integer_ibfk_2;
ALTER TABLE table_case_param_boolean       DROP FOREIGN KEY table_case_param_boolean_ibfk_2;
ALTER TABLE table_sess_agent_status        DROP FOREIGN KEY table_sess_agent_status_ibfk_1;
ALTER TABLE table_sess_agent_status        DROP FOREIGN KEY table_sess_agent_status_ibfk_2;
ALTER TABLE table_usergroup_user           DROP FOREIGN KEY table_usergroup_user_ibfk_1;
ALTER TABLE table_usergroup_user           DROP FOREIGN KEY table_usergroup_user_ibfk_2;
ALTER TABLE table_usergroup_folder         DROP FOREIGN KEY table_usergroup_folder_ibfk_1;
ALTER TABLE table_usergroup_folder         DROP FOREIGN KEY table_usergroup_folder_ibfk_2;
ALTER TABLE table_usergroup_company        DROP FOREIGN KEY table_usergroup_company_ibfk_1;
ALTER TABLE table_usergroup_company        DROP FOREIGN KEY table_usergroup_company_ibfk_2;
ALTER TABLE table_usergroup_category       DROP FOREIGN KEY table_usergroup_category_ibfk_1;
ALTER TABLE table_usergroup_category       DROP FOREIGN KEY table_usergroup_category_ibfk_2;
ALTER TABLE table_company_attach           DROP FOREIGN KEY table_company_attach_ibfk_1;
ALTER TABLE table_company_attach           DROP FOREIGN KEY table_company_attach_ibfk_2;
ALTER TABLE table_company_attach_data      DROP FOREIGN KEY table_company_attach_data_ibfk_1;
ALTER TABLE table_company_attach_data      DROP FOREIGN KEY table_company_attach_data_ibfk_2;
ALTER TABLE table_sut_attach               DROP FOREIGN KEY table_sut_attach_ibfk_1;
ALTER TABLE table_sut_attach               DROP FOREIGN KEY table_sut_attach_ibfk_2;
ALTER TABLE table_sut_attach_data          DROP FOREIGN KEY table_sut_attach_data_ibfk_1;
ALTER TABLE table_sut_attach_data          DROP FOREIGN KEY table_sut_attach_data_ibfk_2;
ALTER TABLE table_project_attach           DROP FOREIGN KEY table_project_attach_ibfk_1;
ALTER TABLE table_project_attach           DROP FOREIGN KEY table_project_attach_ibfk_2;
ALTER TABLE table_project_attach_data      DROP FOREIGN KEY table_project_attach_data_ibfk_1;
ALTER TABLE table_project_attach_data      DROP FOREIGN KEY table_project_attach_data_ibfk_2;
ALTER TABLE table_task_attach              DROP FOREIGN KEY table_task_attach_ibfk_1;
ALTER TABLE table_task_attach              DROP FOREIGN KEY table_task_attach_ibfk_2;
ALTER TABLE table_task_attach_data         DROP FOREIGN KEY table_task_attach_data_ibfk_1;
ALTER TABLE table_task_attach_data         DROP FOREIGN KEY table_task_attach_data_ibfk_2;
ALTER TABLE table_sprint_attach            DROP FOREIGN KEY table_sprint_attach_ibfk_1;
ALTER TABLE table_sprint_attach            DROP FOREIGN KEY table_sprint_attach_ibfk_2;
ALTER TABLE table_sprint_attach_data       DROP FOREIGN KEY table_sprint_attach_data_ibfk_1;
ALTER TABLE table_sprint_attach_data       DROP FOREIGN KEY table_sprint_attach_data_ibfk_2;
ALTER TABLE table_camp_attach              DROP FOREIGN KEY table_camp_attach_ibfk_1;
ALTER TABLE table_camp_attach              DROP FOREIGN KEY table_camp_attach_ibfk_2;
ALTER TABLE table_camp_attach_data         DROP FOREIGN KEY table_camp_attach_data_ibfk_1;
ALTER TABLE table_camp_attach_data         DROP FOREIGN KEY table_camp_attach_data_ibfk_2;
ALTER TABLE table_req_generic              DROP FOREIGN KEY table_req_generic_ibfk_1;
ALTER TABLE table_req_test                 DROP FOREIGN KEY table_req_test_ibfk_1;
ALTER TABLE table_def_int_ccemails         DROP FOREIGN KEY table_def_int_ccemails_ibfk_1;
ALTER TABLE table_def_int_ccemails         DROP FOREIGN KEY table_def_int_ccemails_ibfk_2;

ALTER TABLE table_category_stat            CHANGE date                                        date_submitted DATETIME NULL;
ALTER TABLE table_category_stat            CHANGE nb_testcases                                nb_cases INTEGER UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE table_category_stat            CHANGE nb_testcases_developed                      nb_cases_developed INTEGER UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE table_category_stat            CHANGE nb_testcases_authored                       nb_cases_authored INTEGER UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE table_sut_data                 CHANGE content_id                                  data_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT;                                                                                 
ALTER TABLE table_def_int_data             CHANGE content_id                                  data_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE table_filter                   CHANGE filter_content                              filter_data LONGTEXT CHARACTER SET utf8 NULL;
ALTER TABLE table_test_data                CHANGE content_id                                  data_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE table_test_url                 CHANGE test_content_id                             test_data_id INTEGER UNSIGNED NOT NULL;
ALTER TABLE table_case                     CHANGE testcase_id                                 case_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE table_case_attach              CHANGE testcase_id                                 case_id INTEGER UNSIGNED NOT NULL;
ALTER TABLE table_case_case_data           CHANGE testcase_id                                 case_id INTEGER UNSIGNED NOT NULL;
ALTER TABLE table_case_exec                CHANGE testcase_id                                 case_id INTEGER UNSIGNED NOT NULL;
ALTER TABLE table_case_param_boolean       CHANGE testcase_id                                 case_id INTEGER UNSIGNED NOT NULL;
ALTER TABLE table_case_param_integer       CHANGE testcase_id                                 case_id INTEGER UNSIGNED NOT NULL;
ALTER TABLE table_case_param_string        CHANGE testcase_id                                 case_id INTEGER UNSIGNED NOT NULL;
ALTER TABLE table_case_data                CHANGE content_id                                  data_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE table_case_case_data           CHANGE content_id                                  data_id INTEGER UNSIGNED NOT NULL;
ALTER TABLE table_case_exec                CHANGE testcase_execution_id                       testcase_exec_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE table_case_exec_attach         CHANGE testcase_execution_id                       testcase_exec_id INTEGER UNSIGNED NOT NULL;
ALTER TABLE table_case_exec                CHANGE testcase_execution_result                   testcase_exec_result INTEGER UNSIGNED NOT NULL;
ALTER TABLE table_case_exec                CHANGE testcase_execution_message                  testcase_exec_message MEDIUMTEXT CHARACTER SET utf8 NULL;
ALTER TABLE table_test_exec                CHANGE test_execution_id                           test_exec_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE table_test_exec_def            CHANGE test_execution_id                           test_exec_id INTEGER UNSIGNED NOT NULL;
ALTER TABLE table_test_exec                CHANGE test_execution_result                       test_exec_result INTEGER UNSIGNED NOT NULL;
ALTER TABLE table_change                   CHANGE date                                        date_submitted DATETIME NOT NULL;
ALTER TABLE table_def_stat                 CHANGE date                                        date_submitted DATETIME NULL;  
ALTER TABLE table_conf                     CHANGE configuration_id                            conf_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE table_conf                     CHANGE configuration_name                          conf_name VARCHAR(64) CHARACTER SET utf8 NOT NULL;
ALTER TABLE table_conf                     CHANGE configuration_content                       conf_data TEXT CHARACTER SET utf8 NULL;
ALTER TABLE table_sch_conf                 CHANGE configuration_id                            conf_id INTEGER UNSIGNED NOT NULL;
ALTER TABLE table_sess_conf                CHANGE configuration_id                            conf_id INTEGER UNSIGNED NOT NULL;
ALTER TABLE table_sprint_stat              CHANGE date                                        date_submitted DATETIME NULL;
ALTER TABLE table_absence                  CHANGE comment                                     comments TEXT CHARACTER SET utf8 NULL;
ALTER TABLE table_holiday                  CHANGE comment                                     comments TEXT CHARACTER SET utf8 NULL;
ALTER TABLE table_case_attach_data         CHANGE content_id                                  data_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE table_case_attach_data         CHANGE size                                        size_data INTEGER UNSIGNED NOT NULL;
ALTER TABLE table_test_attach_data         CHANGE content_id                                  data_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE table_test_attach_data         CHANGE size                                        size_data INTEGER UNSIGNED NOT NULL;
ALTER TABLE table_folder_attach_data       CHANGE content_id                                  data_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE table_folder_attach_data       CHANGE size                                        size_data INTEGER UNSIGNED NOT NULL;
ALTER TABLE table_category_attach_data     CHANGE content_id                                  data_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE table_category_attach_data     CHANGE size                                        size_data INTEGER UNSIGNED NOT NULL;
ALTER TABLE table_case_exec_attach_data    CHANGE content_id                                  data_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE table_case_exec_attach_data    CHANGE size                                        size_data INTEGER UNSIGNED NOT NULL;
ALTER TABLE table_def_int_attach_data      CHANGE content_id                                  data_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE table_def_int_attach_data      CHANGE size                                        size_data INTEGER UNSIGNED NOT NULL;
ALTER TABLE table_sess_attach_data         CHANGE content_id                                  data_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE table_sess_attach_data         CHANGE size                                        size_data INTEGER UNSIGNED NOT NULL;
ALTER TABLE table_req_int_attach_data      CHANGE content_id                                  data_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE table_req_int_attach_data      CHANGE size                                        size_data INTEGER UNSIGNED NOT NULL;
ALTER TABLE table_spec_attach_data         CHANGE content_id                                  data_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE table_spec_attach_data         CHANGE size                                        size_data INTEGER UNSIGNED NOT NULL;
ALTER TABLE table_req_int_data             CHANGE content_id                                  data_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT; 
ALTER TABLE table_spec_data                CHANGE content_id                                  data_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT;  
ALTER TABLE table_company_attach_data      CHANGE content_id                                  data_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE table_company_attach_data      CHANGE size                                        size_data INTEGER UNSIGNED NOT NULL;
ALTER TABLE table_sut_attach_data          CHANGE content_id                                  data_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE table_sut_attach_data          CHANGE size                                        size_data INTEGER UNSIGNED NOT NULL;
ALTER TABLE table_project_attach_data      CHANGE content_id                                  data_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE table_project_attach_data      CHANGE size                                        size_data INTEGER UNSIGNED NOT NULL;
ALTER TABLE table_task_attach_data         CHANGE content_id                                  data_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE table_task_attach_data         CHANGE size                                        size_data INTEGER UNSIGNED NOT NULL;
ALTER TABLE table_sprint_attach_data       CHANGE content_id                                  data_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE table_sprint_attach_data       CHANGE size                                        size_data INTEGER UNSIGNED NOT NULL;
ALTER TABLE table_camp_attach_data         CHANGE content_id                                  data_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE table_camp_attach_data         CHANGE size                                        size_data INTEGER UNSIGNED NOT NULL;
ALTER TABLE table_cust_choice              CHANGE custom_field_stringchoice_id                cust_choice_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE table_cust_choice_value        CHANGE custom_field_stringchoice_id                cust_choice_id INTEGER UNSIGNED NOT NULL;
ALTER TABLE table_cust_choice              CHANGE custom_field_stringchoice_source_type       cust_choice_source_type SMALLINT NOT NULL DEFAULT 0;
ALTER TABLE table_cust_choice              CHANGE custom_field_stringchoice_name              cust_choice_name VARCHAR(64) CHARACTER SET utf8 NOT NULL;
ALTER TABLE table_cust_choice              CHANGE custom_field_stringchoice_possible_values   cust_choice_possible_values VARCHAR(4096) CHARACTER SET utf8 NOT NULL DEFAULT '';
ALTER TABLE table_cust_choice              CHANGE custom_field_stringchoice_default_value     cust_choice_default_value VARCHAR(4096) CHARACTER SET utf8 NOT NULL DEFAULT '';
ALTER TABLE table_cust_choice              CHANGE custom_field_stringchoice_multiple_choices  cust_choice_multiple_choices BOOL NOT NULL DEFAULT 0;
ALTER TABLE table_cust_boolean             CHANGE custom_field_boolean_id                     cust_boolean_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE table_cust_boolean_value       CHANGE custom_field_boolean_id                     cust_boolean_id INTEGER UNSIGNED NOT NULL;
ALTER TABLE table_cust_boolean             CHANGE custom_field_boolean_source_type            cust_boolean_source_type SMALLINT NOT NULL DEFAULT 0;
ALTER TABLE table_cust_boolean             CHANGE custom_field_boolean_name                   cust_boolean_name VARCHAR(64) CHARACTER SET utf8 NOT NULL;
ALTER TABLE table_cust_boolean             CHANGE custom_field_boolean_default_value          cust_boolean_default_value BOOL NOT NULL DEFAULT 0;
ALTER TABLE table_cust_html                CHANGE custom_field_html_id                        cust_html_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE table_cust_html_value          CHANGE custom_field_html_id                        cust_html_id INTEGER UNSIGNED NOT NULL;
ALTER TABLE table_cust_html                CHANGE custom_field_html_source_type               cust_html_source_type SMALLINT NOT NULL DEFAULT 0;
ALTER TABLE table_cust_html                CHANGE custom_field_html_name                      cust_html_name VARCHAR(64) CHARACTER SET utf8 NOT NULL;
ALTER TABLE table_cust_html                CHANGE custom_field_html_mandatory                 cust_html_mandatory BOOL NOT NULL DEFAULT 0;
ALTER TABLE table_cust_html                CHANGE custom_field_html_default_value             cust_html_default_value TEXT CHARACTER SET utf8 NOT NULL;
ALTER TABLE table_cust_integer             CHANGE custom_field_integer_id                     cust_integer_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE table_cust_integer_value       CHANGE custom_field_integer_id                     cust_integer_id INTEGER UNSIGNED NOT NULL;
ALTER TABLE table_cust_integer             CHANGE custom_field_integer_source_type            cust_integer_source_type SMALLINT NOT NULL DEFAULT 0;
ALTER TABLE table_cust_integer             CHANGE custom_field_integer_name                   cust_integer_name VARCHAR(64) CHARACTER SET utf8 NOT NULL;
ALTER TABLE table_cust_integer             CHANGE custom_field_integer_mandatory              cust_integer_mandatory BOOL NOT NULL DEFAULT 0;
ALTER TABLE table_cust_integer             CHANGE custom_field_integer_default_value          cust_integer_default_value INTEGER NOT NULL DEFAULT 0;
ALTER TABLE table_cust_string              CHANGE custom_field_string_id                      cust_string_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE table_cust_string_value        CHANGE custom_field_string_id                      cust_string_id INTEGER UNSIGNED NOT NULL;
ALTER TABLE table_cust_string              CHANGE custom_field_string_source_type             cust_string_source_type SMALLINT NOT NULL DEFAULT 0;
ALTER TABLE table_cust_string              CHANGE custom_field_string_name                    cust_string_name VARCHAR(64) CHARACTER SET utf8 NOT NULL;
ALTER TABLE table_cust_string              CHANGE custom_field_string_mandatory               cust_string_mandatory BOOL NOT NULL DEFAULT 0;
ALTER TABLE table_cust_string              CHANGE custom_field_string_default_value           cust_string_default_value VARCHAR(4096) CHARACTER SET utf8 NOT NULL DEFAULT '';

ALTER TABLE table_category_stat            ADD INDEX category_stat_IK_1(category_id);
ALTER TABLE table_category_stat            ADD FOREIGN KEY (category_id)                        REFERENCES table_category(category_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_category_stat            DROP INDEX category_id;

ALTER TABLE table_folder                   DROP INDEX folder_FKIndex1;
ALTER TABLE table_folder                   DROP INDEX folder_FKIndex2;
ALTER TABLE table_folder                   DROP INDEX folder_FKIndex3;
ALTER TABLE table_folder                   DROP INDEX folder_FKIndex4;
ALTER TABLE table_folder                   ADD INDEX folder_IK_1(folder_id_2);
ALTER TABLE table_folder                   ADD INDEX folder_IK_2(category_id);
ALTER TABLE table_folder                   ADD INDEX folder_IK_3(company_id);
ALTER TABLE table_folder                   ADD INDEX folder_IK_4(project_id);
ALTER TABLE table_folder                   ADD FOREIGN KEY (folder_id_2)                        REFERENCES table_folder(folder_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_folder                   ADD FOREIGN KEY (category_id)                        REFERENCES table_category(category_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_folder                   ADD FOREIGN KEY (company_id)                         REFERENCES table_company(company_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_folder                   ADD FOREIGN KEY (project_id)                         REFERENCES table_project(project_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_project                  DROP INDEX project_FKIndex2;
ALTER TABLE table_project                  ADD INDEX project_IK_1(folder_id);
ALTER TABLE table_project                  ADD FOREIGN KEY (folder_id)                          REFERENCES table_folder(folder_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_sut                      DROP INDEX sut_FKIndex1;
ALTER TABLE table_sut                      ADD INDEX sut_IK_1(folder_id);
ALTER TABLE table_sut                      ADD FOREIGN KEY (folder_id)                          REFERENCES table_folder(folder_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_sut_data                 DROP INDEX sut_content_FKIndex1;
ALTER TABLE table_sut_data                 ADD INDEX sut_data_IK_1(sut_id);
ALTER TABLE table_sut_data                 ADD FOREIGN KEY (sut_id)                             REFERENCES table_sut(sut_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_agent                    DROP INDEX agent_FKIndex1;
ALTER TABLE table_agent                    ADD INDEX agent_IK_1(folder_id);
ALTER TABLE table_agent                    ADD FOREIGN KEY (folder_id)                          REFERENCES table_folder(folder_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_userprofile              ADD INDEX userprofile_IK_1(userprofile_id);
ALTER TABLE table_userprofile              DROP INDEX userprofile_FKIndex1;

ALTER TABLE table_usergroup                DROP INDEX user_FKIndex1;
ALTER TABLE table_usergroup                ADD INDEX usergroup_IK_1(folder_id);
ALTER TABLE table_usergroup                ADD FOREIGN KEY (folder_id)                          REFERENCES table_folder(folder_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_user                     DROP INDEX user_FKIndex1;
ALTER TABLE table_user                     DROP INDEX user_FKIndex2;
ALTER TABLE table_user                     DROP INDEX user_FKIndex3;
ALTER TABLE table_user                     ADD INDEX user_IK_1(folder_id);
ALTER TABLE table_user                     ADD INDEX user_IK_2(country_id);
ALTER TABLE table_user                     ADD INDEX user_IK_3(userprofile_id);
ALTER TABLE table_user                     ADD FOREIGN KEY (folder_id)                          REFERENCES table_folder(folder_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_user                     ADD FOREIGN KEY (country_id)                         REFERENCES table_country(country_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_user                     ADD FOREIGN KEY (userprofile_id)                     REFERENCES table_userprofile(userprofile_id) ON DELETE SET NULL ON UPDATE NO ACTION;

ALTER TABLE table_def_generic              DROP INDEX defect_FKIndex1;
ALTER TABLE table_def_generic              ADD INDEX def_generic_IK_1(folder_id);
ALTER TABLE table_def_generic              ADD FOREIGN KEY (folder_id)                          REFERENCES table_folder(folder_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_def_int                  DROP INDEX defect_FKIndex1;
ALTER TABLE table_def_int                  DROP INDEX defect_FKIndex2;
ALTER TABLE table_def_int                  ADD INDEX def_int_IK_1(folder_id);
ALTER TABLE table_def_int                  ADD INDEX def_int_IK_2(reporter);
ALTER TABLE table_def_int                  ADD FOREIGN KEY (folder_id)                          REFERENCES table_folder(folder_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_def_int                  ADD FOREIGN KEY (reporter)                           REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_def_int_data             DROP INDEX defect_integrated_content_FKIndex1;
ALTER TABLE table_def_int_data             ADD INDEX def_int_data_IK_1(defect_id);
ALTER TABLE table_def_int_data             ADD FOREIGN KEY (defect_id)                          REFERENCES table_def_int(defect_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_def_int_assigned_to      DROP INDEX defect_assigned_to_FKIndex1;
ALTER TABLE table_def_int_assigned_to      DROP INDEX defect_assigned_to_FKIndex2;
ALTER TABLE table_def_int_assigned_to      ADD INDEX def_int_assigned_to_IK_1(defect_id);
ALTER TABLE table_def_int_assigned_to      ADD INDEX def_int_assigned_to_IK_2(assigned_to);
ALTER TABLE table_def_int_assigned_to      ADD FOREIGN KEY (defect_id)                          REFERENCES table_def_int(defect_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_def_int_assigned_to      ADD FOREIGN KEY (assigned_to)                        REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_req_int                  DROP INDEX table_requirement_FKIndex2;
ALTER TABLE table_req_int                  ADD INDEX req_int_IK_1(folder_id);
ALTER TABLE table_req_int                  ADD FOREIGN KEY (folder_id)                          REFERENCES table_folder(folder_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_camp                     DROP INDEX campaign_FKIndex2;
ALTER TABLE table_camp                     ADD INDEX camp_IK_1(folder_id);
ALTER TABLE table_camp                     ADD FOREIGN KEY (folder_id)                          REFERENCES table_folder(folder_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_spec                     DROP INDEX spec_FKIndex1;
ALTER TABLE table_spec                     ADD INDEX spec_IK_1(folder_id);
ALTER TABLE table_spec                     ADD FOREIGN KEY (folder_id)                          REFERENCES table_folder(folder_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_test                     DROP INDEX table_test_FKIndex1;
ALTER TABLE table_test                     DROP INDEX table_test_FKIndex2;
ALTER TABLE table_test                     DROP INDEX table_test_FKIndex3;
ALTER TABLE table_test                     ADD INDEX test_IK_1(folder_id);
ALTER TABLE table_test                     ADD INDEX test_IK_2(author_id);
ALTER TABLE table_test                     ADD INDEX test_IK_3(developer_id);
ALTER TABLE table_test                     ADD FOREIGN KEY (folder_id)                          REFERENCES table_folder(folder_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_test                     ADD FOREIGN KEY (author_id)                          REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_test                     ADD FOREIGN KEY (developer_id)                       REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_test_data                DROP INDEX test_content_FKIndex1;
ALTER TABLE table_test_data                ADD INDEX test_data_IK_1(test_id);
ALTER TABLE table_test_data                ADD FOREIGN KEY (test_id)                            REFERENCES table_test(test_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_req_spec                 DROP INDEX requirement_spec_FKIndex1;
ALTER TABLE table_req_spec                 DROP INDEX requirement_specification_FKIndex2;
ALTER TABLE table_req_spec                 ADD INDEX req_spec_IK_1(requirement_id);
ALTER TABLE table_req_spec                 ADD INDEX req_spec_IK_2(specification_id);
ALTER TABLE table_req_spec                 ADD FOREIGN KEY (specification_id)                   REFERENCES table_spec(specification_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_monitoring_conf          ADD PRIMARY KEY(monitoring_configuration_id);
ALTER TABLE table_monitoring_conf          CHANGE monitoring_configuration_id                 monitoring_conf_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE table_monitoring_conf          CHANGE monitoring_configuration_name               monitoring_conf_name VARCHAR(64) CHARACTER SET utf8 NOT NULL;
ALTER TABLE table_monitoring_conf          CHANGE monitoring_configuration_content            monitoring_conf_data TEXT CHARACTER SET utf8 NULL;
ALTER TABLE table_monitoring_conf          DROP INDEX monitoring_configuration_id_FKIndex1;

ALTER TABLE table_sess                     DROP INDEX campaign_session_FKIndex1;
ALTER TABLE table_sess                     DROP INDEX campaign_session_FKIndex2;
ALTER TABLE table_sess                     DROP INDEX campaign_session_FKIndex3;
ALTER TABLE table_sess                     DROP INDEX campaign_session_FKIndex4;
ALTER TABLE table_sess                     DROP INDEX campaign_session_FKIndex5;
ALTER TABLE table_sess                     DROP INDEX campaign_session_FKIndex6;
ALTER TABLE table_sess                     DROP INDEX campaign_session_FKIndex7;
ALTER TABLE table_sess                     CHANGE monitoring_configuration_id                   monitoring_conf_id INTEGER UNSIGNED;
ALTER TABLE table_sess                     ADD INDEX sess_IK_1(sut_id);
ALTER TABLE table_sess                     ADD INDEX sess_IK_2(campaign_id);
ALTER TABLE table_sess                     ADD INDEX sess_IK_3(user_id);
ALTER TABLE table_sess                     ADD INDEX sess_IK_4(schedule_id);
ALTER TABLE table_sess                     ADD INDEX sess_IK_5(monitoring_id);
ALTER TABLE table_sess                     ADD INDEX sess_IK_6(monitoring_conf_id);
ALTER TABLE table_sess                     ADD FOREIGN KEY (sut_id)                             REFERENCES table_sut(sut_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_sess                     ADD FOREIGN KEY (campaign_id)                        REFERENCES table_camp(campaign_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_sess                     ADD FOREIGN KEY (user_id)                            REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_sess                     ADD FOREIGN KEY (schedule_id)                        REFERENCES table_sch(schedule_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_sess                     ADD FOREIGN KEY (monitoring_id)                      REFERENCES table_agent(agent_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_sess                     ADD FOREIGN KEY (monitoring_conf_id)                 REFERENCES table_monitoring_conf(monitoring_conf_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_sch                      DROP INDEX table_schedule_FKIndex1;
ALTER TABLE table_sch                      DROP INDEX table_schedule_FKIndex2;
ALTER TABLE table_sch                      DROP INDEX table_schedule_FKIndex3;
ALTER TABLE table_sch                      DROP INDEX table_schedule_FKIndex4;
ALTER TABLE table_sch                      DROP INDEX table_schedule_FKIndex5;
ALTER TABLE table_sch                      DROP INDEX table_schedule_FKIndex6;
ALTER TABLE table_sch                      CHANGE monitoring_configuration_id                   monitoring_conf_id INTEGER UNSIGNED;
ALTER TABLE table_sch                      ADD INDEX sch_IK_1(campaign_id);
ALTER TABLE table_sch                      ADD INDEX sch_IK_2(user_id);
ALTER TABLE table_sch                      ADD INDEX sch_IK_3(sut_id);
ALTER TABLE table_sch                      ADD INDEX sch_IK_4(monitoring_id);
ALTER TABLE table_sch                      ADD INDEX sch_IK_5(monitoring_conf_id);
ALTER TABLE table_sch                      DROP INDEX sut_id;
ALTER TABLE table_sch                      ADD FOREIGN KEY (campaign_id)                        REFERENCES table_camp(campaign_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_sch                      ADD FOREIGN KEY (user_id)                            REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_sch                      ADD FOREIGN KEY (sut_id)                             REFERENCES table_sut(sut_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_sch                      ADD FOREIGN KEY (monitoring_id)                      REFERENCES table_agent(agent_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_sch                      ADD FOREIGN KEY (monitoring_conf_id)                 REFERENCES table_monitoring_conf(monitoring_conf_id) ON DELETE CASCADE ON UPDATE NO ACTION;












ALTER TABLE table_sch_agent                DROP INDEX schedule_agent_FKIndex1;
ALTER TABLE table_sch_agent                DROP INDEX schedule_agent_FKIndex2;
ALTER TABLE table_sch_agent                ADD INDEX sch_agent_IK_1(schedule_id);
ALTER TABLE table_sch_agent                ADD INDEX sch_agent_IK_2(agent_id);
ALTER TABLE table_sch_agent                ADD FOREIGN KEY (schedule_id)                        REFERENCES table_sch(schedule_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_sch_agent                ADD FOREIGN KEY (agent_id)                           REFERENCES table_agent(agent_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_instance                 DROP INDEX instance_FKIndex1;
ALTER TABLE table_instance                 DROP INDEX instance_FKIndex2;
ALTER TABLE table_instance                 DROP INDEX instance_FKIndex3;
ALTER TABLE table_instance                 DROP INDEX instance_FKIndex4;
ALTER TABLE table_instance                 ADD INDEX instance_IK_1(campaign_session_id);
ALTER TABLE table_instance                 ADD INDEX instance_IK_2(agent_id);
ALTER TABLE table_instance                 ADD INDEX instance_IK_3(instance_index);
ALTER TABLE table_instance                 ADD INDEX instance_IK_4(sync_type);
ALTER TABLE table_instance                 ADD FOREIGN KEY (campaign_session_id)                REFERENCES table_sess(campaign_session_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_instance                 ADD FOREIGN KEY (agent_id)                           REFERENCES table_agent(agent_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_sync                     DROP INDEX sync_FKIndex1;
ALTER TABLE table_sync                     DROP INDEX sync_FKIndex2;
ALTER TABLE table_sync                     DROP INDEX sync_FKIndex3;
ALTER TABLE table_sync                     ADD INDEX sync_IK_1(instance_id);
ALTER TABLE table_sync                     ADD INDEX sync_IK_2(category_id);
ALTER TABLE table_sync                     ADD INDEX sync_IK_3(sync_id);
ALTER TABLE table_sync                     ADD FOREIGN KEY (instance_id)                        REFERENCES table_instance(instance_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_sync                     ADD FOREIGN KEY (category_id)                        REFERENCES table_category(category_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_case                     DROP INDEX testcase_FKIndex1;
ALTER TABLE table_case                     ADD INDEX case_IK_1(test_id);
ALTER TABLE table_case                     ADD FOREIGN KEY (test_id)                            REFERENCES table_test(test_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_test_dependencies        DROP INDEX test_dependencies_FKIndex1;
ALTER TABLE table_test_dependencies        ADD INDEX test_dependencies_IK_1(test_id);
ALTER TABLE table_test_dependencies        ADD INDEX test_dependencies_IK_2(dependsFromTest_id);
ALTER TABLE table_test_dependencies        ADD FOREIGN KEY (test_id)                            REFERENCES table_test(test_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_test_dependencies        ADD FOREIGN KEY (dependsFromTest_id)                 REFERENCES table_test(test_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_test_dependencies        DROP INDEX dependsFromTest_id;

ALTER TABLE table_test_attr_boolean        DROP INDEX test_attr_boolean_FKIndex1;
ALTER TABLE table_test_attr_boolean        DROP INDEX test_attr_boolean_FKIndex2;
ALTER TABLE table_test_attr_boolean        ADD INDEX test_attr_boolean_IK_1(attr_boolean_id);
ALTER TABLE table_test_attr_boolean        ADD INDEX test_attr_boolean_IK_2(test_id);
ALTER TABLE table_test_attr_boolean        ADD FOREIGN KEY (attr_boolean_id)                    REFERENCES table_attr_boolean(attr_boolean_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_test_attr_boolean        ADD FOREIGN KEY (test_id)                            REFERENCES table_test(test_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_test_attr_string         DROP INDEX test_attr_string_FKIndex1;
ALTER TABLE table_test_attr_string         DROP INDEX test_attr_string_FKIndex2;
ALTER TABLE table_test_attr_string         ADD INDEX test_attr_string_IK_1(attr_string_id);
ALTER TABLE table_test_attr_string         ADD INDEX test_attr_string_IK_2(test_id);
ALTER TABLE table_test_attr_string         ADD FOREIGN KEY (attr_string_id)                     REFERENCES table_attr_string(attr_string_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_test_attr_string         ADD FOREIGN KEY (test_id)                            REFERENCES table_test(test_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_test_attr_integer        DROP INDEX test_attr_integer_FKIndex1;
ALTER TABLE table_test_attr_integer        DROP INDEX test_attr_integer_FKIndex2;
ALTER TABLE table_test_attr_integer        ADD INDEX test_attr_integer_IK_1(attr_integer_id);
ALTER TABLE table_test_attr_integer        ADD INDEX test_attr_integer_IK_2(test_id);
ALTER TABLE table_test_attr_integer        ADD FOREIGN KEY (test_id)                            REFERENCES table_test(test_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_test_attr_integer        ADD FOREIGN KEY (attr_integer_id)                    REFERENCES table_attr_integer(attr_integer_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_spec_test                DROP INDEX specification_test_FKIndex1;
ALTER TABLE table_spec_test                DROP INDEX specification_test_FKIndex2;
ALTER TABLE table_spec_test                ADD INDEX spec_test_IK_1(test_id);
ALTER TABLE table_spec_test                ADD INDEX spec_test_IK_2(specification_id);
ALTER TABLE table_spec_test                ADD FOREIGN KEY (test_id)                            REFERENCES table_test(test_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_spec_test                ADD FOREIGN KEY (specification_id)                   REFERENCES table_spec(specification_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_test_camp                DROP INDEX testcase_campaign_FKIndex1;
ALTER TABLE table_test_camp                DROP INDEX testcase_campaign_FKIndex2;
ALTER TABLE table_test_camp                ADD INDEX test_camp_IK_1(test_id);
ALTER TABLE table_test_camp                ADD INDEX test_camp_IK_2(campaign_id);
ALTER TABLE table_test_camp                ADD FOREIGN KEY (test_id)                            REFERENCES table_test(test_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_test_camp                ADD FOREIGN KEY (campaign_id)                        REFERENCES table_camp(campaign_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_case_exec                DROP INDEX testcase_execution_FKIndex1;
ALTER TABLE table_case_exec                DROP INDEX testcase_execution_FKIndex2;
ALTER TABLE table_case_exec                DROP INDEX testcase_execution_FKIndex3;
ALTER TABLE table_case_exec                ADD INDEX case_exec_IK_1(case_id);
ALTER TABLE table_case_exec                ADD INDEX case_exec_IK_2(campaign_session_id);
ALTER TABLE table_case_exec                ADD INDEX case_exec_IK_3(instance_id);
ALTER TABLE table_case_exec                ADD FOREIGN KEY (case_id)                            REFERENCES table_case(case_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_case_exec                ADD FOREIGN KEY (campaign_session_id)                REFERENCES table_sess(campaign_session_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_case_exec                ADD FOREIGN KEY (instance_id)                        REFERENCES table_instance(instance_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_test_exec                DROP INDEX test_execution_FKIndex1;
ALTER TABLE table_test_exec                DROP INDEX test_execution_FKIndex2;
ALTER TABLE table_test_exec                DROP INDEX test_execution_FKIndex3;
ALTER TABLE table_test_exec                ADD INDEX test_exec_IK_1(test_id);
ALTER TABLE table_test_exec                ADD INDEX test_exec_IK_2(campaign_session_id);
ALTER TABLE table_test_exec                ADD INDEX test_exec_IK_3(instance_id);
ALTER TABLE table_test_exec                ADD FOREIGN KEY (test_id)                            REFERENCES table_test(test_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_test_exec                ADD FOREIGN KEY (campaign_session_id)                REFERENCES table_sess(campaign_session_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_test_exec                ADD FOREIGN KEY (instance_id)                        REFERENCES table_instance(instance_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_test_exec_def            DROP INDEX test_execution_defect_FKIndex1;
ALTER TABLE table_test_exec_def            ADD INDEX test_exec_def_IK_1(test_exec_id);
ALTER TABLE table_test_exec_def            ADD FOREIGN KEY (test_exec_id)                       REFERENCES table_test_exec(test_exec_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_sess_ccemails            DROP INDEX notification_FKIndex1;
ALTER TABLE table_sess_ccemails            DROP INDEX notification_FKIndex2;
ALTER TABLE table_sess_ccemails            ADD INDEX sess_ccemails_IK_1(campaign_session_id);
ALTER TABLE table_sess_ccemails            ADD INDEX sess_ccemails_IK_2(user_id);
ALTER TABLE table_sess_ccemails            ADD FOREIGN KEY (campaign_session_id)                REFERENCES table_sess(campaign_session_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_sess_ccemails            ADD FOREIGN KEY (user_id)                            REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_sch_ccemails             DROP INDEX notification_FKIndex1;
ALTER TABLE table_sch_ccemails             DROP INDEX notification_FKIndex2;
ALTER TABLE table_sch_ccemails             ADD INDEX sch_ccemails_IK_1(schedule_id);
ALTER TABLE table_sch_ccemails             ADD INDEX sch_ccemails_IK_2(user_id);
ALTER TABLE table_sch_ccemails             ADD FOREIGN KEY (schedule_id)                        REFERENCES table_sch(schedule_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_sch_ccemails             ADD FOREIGN KEY (user_id)                            REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_change                   ADD INDEX change_IK_1(user_id);
ALTER TABLE table_change                   ADD FOREIGN KEY (user_id)                            REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_change                   DROP INDEX user_id;

ALTER TABLE table_def_int_sut              DROP INDEX defect_FKIndex1;
ALTER TABLE table_def_int_sut              DROP INDEX sut_FKIndex2;
ALTER TABLE table_def_int_sut              ADD INDEX def_int_sut_IK_1(defect_id);
ALTER TABLE table_def_int_sut              ADD INDEX def_int_sut_IK_2(sut_id);
ALTER TABLE table_def_int_sut              ADD FOREIGN KEY (defect_id)                          REFERENCES table_def_int(defect_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_def_int_sut              ADD FOREIGN KEY (sut_id)                             REFERENCES table_sut(sut_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_conf                     ADD INDEX conf_IK_1(conf_id);
ALTER TABLE table_conf                     DROP INDEX configuration_id_FKIndex1;

ALTER TABLE table_sess_conf                DROP INDEX campaign_session_FKIndex1;
ALTER TABLE table_sess_conf                DROP INDEX configuration_FKIndex2;
ALTER TABLE table_sess_conf                DROP INDEX category_FKIndex3;
ALTER TABLE table_sess_conf                ADD INDEX sess_conf_IK_1(campaign_session_id);
ALTER TABLE table_sess_conf                ADD INDEX sess_conf_IK_2(conf_id);
ALTER TABLE table_sess_conf                ADD INDEX sess_conf_IK_3(category_id);
ALTER TABLE table_sess_conf                ADD FOREIGN KEY (campaign_session_id)                REFERENCES table_sess(campaign_session_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_sess_conf                ADD FOREIGN KEY (conf_id)                            REFERENCES table_conf(conf_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_sess_conf                ADD FOREIGN KEY (category_id)                        REFERENCES table_category(category_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_sch_conf                 DROP INDEX schedule_FKIndex1;
ALTER TABLE table_sch_conf                 DROP INDEX configuration_FKIndex2;
ALTER TABLE table_sch_conf                 DROP INDEX category_FKIndex3;
ALTER TABLE table_sch_conf                 ADD INDEX sch_conf_IK_1(schedule_id);
ALTER TABLE table_sch_conf                 ADD INDEX sch_conf_IK_2(conf_id);
ALTER TABLE table_sch_conf                 ADD INDEX sch_conf_IK_3(category_id);
ALTER TABLE table_sch_conf                 ADD FOREIGN KEY (schedule_id)                        REFERENCES table_sch(schedule_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_sch_conf                 ADD FOREIGN KEY (conf_id)                            REFERENCES table_conf(conf_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_sch_conf                 ADD FOREIGN KEY (category_id)                        REFERENCES table_category(category_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_task                     DROP INDEX task_FKIndex1;
ALTER TABLE table_task                     ADD INDEX task_IK_1(folder_id);
ALTER TABLE table_task                     ADD FOREIGN KEY (folder_id)                          REFERENCES table_folder(folder_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_sprint                   DROP INDEX table_sprint_FKIndex1;
ALTER TABLE table_sprint                   ADD INDEX sprint_IK_1(project_id);
ALTER TABLE table_sprint                   ADD FOREIGN KEY (project_id)                         REFERENCES table_project(project_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_sprint_task              DROP INDEX sprint_task_FKIndex1;
ALTER TABLE table_sprint_task              DROP INDEX sprint_task_FKIndex2;
ALTER TABLE table_sprint_task              DROP INDEX sprint_task_FKIndex3;
ALTER TABLE table_sprint_task              ADD INDEX sprint_task_IK_1(sprint_id);
ALTER TABLE table_sprint_task              ADD INDEX sprint_task_IK_2(task_id);
ALTER TABLE table_sprint_task              ADD INDEX sprint_task_IK_3(assigned_to);
ALTER TABLE table_sprint_task              ADD FOREIGN KEY (sprint_id)                          REFERENCES table_sprint(sprint_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_sprint_task              ADD FOREIGN KEY (task_id)                            REFERENCES table_task(task_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_sprint_task              ADD FOREIGN KEY (assigned_to)                        REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_sprint_developer         DROP INDEX sprint_user_FKIndex1;
ALTER TABLE table_sprint_developer         DROP INDEX sprint_user_FKIndex2;
ALTER TABLE table_sprint_developer         ADD INDEX sprint_developer_IK_1(sprint_id);
ALTER TABLE table_sprint_developer         ADD INDEX sprint_developer_IK_2(user_id);
ALTER TABLE table_sprint_developer         ADD FOREIGN KEY (sprint_id)                          REFERENCES table_sprint(sprint_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_sprint_developer         ADD FOREIGN KEY (user_id)                            REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_sprint_stat              ADD INDEX sprint_stat_IK_1(sprint_id);
ALTER TABLE table_sprint_stat              ADD FOREIGN KEY (sprint_id)                          REFERENCES table_sprint(sprint_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_sprint_stat              DROP INDEX sprint_id;

ALTER TABLE table_sess_attr_string         DROP INDEX campaign_session_FKIndex1;
ALTER TABLE table_sess_attr_string         DROP INDEX test_FKIndex2;
ALTER TABLE table_sess_attr_string         DROP INDEX attribute_string_FKIndex3;
ALTER TABLE table_sess_attr_string         ADD INDEX sess_attr_string_IK_1(campaign_session_id);
ALTER TABLE table_sess_attr_string         ADD INDEX sess_attr_string_IK_2(test_id);
ALTER TABLE table_sess_attr_string         ADD INDEX sess_attr_string_IK_3(attr_string_id);
ALTER TABLE table_sess_attr_string         ADD FOREIGN KEY (campaign_session_id)                REFERENCES table_sess(campaign_session_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_sess_attr_string         ADD FOREIGN KEY (test_id)                            REFERENCES table_test(test_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_sess_attr_string         ADD FOREIGN KEY (attr_string_id)                     REFERENCES table_attr_string(attr_string_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_sess_attr_boolean        DROP INDEX campaign_session_FKIndex1;
ALTER TABLE table_sess_attr_boolean        DROP INDEX test_FKIndex2;
ALTER TABLE table_sess_attr_boolean        DROP INDEX attribute_boolean_FKIndex3;
ALTER TABLE table_sess_attr_boolean        ADD INDEX sess_attr_boolean_IK_1(campaign_session_id);
ALTER TABLE table_sess_attr_boolean        ADD INDEX sess_attr_boolean_IK_2(test_id);
ALTER TABLE table_sess_attr_boolean        ADD INDEX sess_attr_boolean_IK_3(attr_boolean_id);
ALTER TABLE table_sess_attr_boolean        ADD FOREIGN KEY (campaign_session_id)                REFERENCES table_sess(campaign_session_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_sess_attr_boolean        ADD FOREIGN KEY (test_id)                            REFERENCES table_test(test_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_sess_attr_boolean        ADD FOREIGN KEY (attr_boolean_id)                    REFERENCES table_attr_boolean(attr_boolean_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_sess_attr_integer        DROP INDEX campaign_session_FKIndex1;
ALTER TABLE table_sess_attr_integer        DROP INDEX test_FKIndex2;
ALTER TABLE table_sess_attr_integer        DROP INDEX attribute_integer_FKIndex3;
ALTER TABLE table_sess_attr_integer        ADD INDEX sess_attr_integer_IK_1(campaign_session_id);
ALTER TABLE table_sess_attr_integer        ADD INDEX sess_attr_integer_IK_2(test_id);
ALTER TABLE table_sess_attr_integer        ADD INDEX sess_attr_integer_IK_3(attr_integer_id);
ALTER TABLE table_sess_attr_integer        ADD FOREIGN KEY (campaign_session_id)                REFERENCES table_sess(campaign_session_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_sess_attr_integer        ADD FOREIGN KEY (test_id)                            REFERENCES table_test(test_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_sess_attr_integer        ADD FOREIGN KEY (attr_integer_id)                    REFERENCES table_attr_integer(attr_integer_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_absence                  DROP INDEX abs_FKIndex1;
ALTER TABLE table_absence                  ADD INDEX absence_IK_1(user_id);
ALTER TABLE table_absence                  ADD FOREIGN KEY (user_id)                            REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_holiday                  DROP INDEX holiday_FKIndex1;
ALTER TABLE table_holiday                  ADD INDEX holiday_IK_1(country_id);
ALTER TABLE table_holiday                  ADD FOREIGN KEY (country_id)                         REFERENCES table_country(country_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_weekend                  DROP INDEX weekend_FKIndex1;
ALTER TABLE table_weekend                  ADD INDEX weekend_IK_1(country_id);
ALTER TABLE table_weekend                  ADD FOREIGN KEY (country_id)                         REFERENCES table_country(country_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_sut_req                  DROP INDEX sut_requirement_FKIndex1;
ALTER TABLE table_sut_req                  DROP INDEX sut_requirement_FKIndex2;
ALTER TABLE table_sut_req                  ADD INDEX sut_req_IK_1(sut_id);
ALTER TABLE table_sut_req                  ADD INDEX sut_req_IK_2(requirement_id);
ALTER TABLE table_sut_req                  ADD FOREIGN KEY (sut_id)                             REFERENCES table_sut(sut_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_case_attach              DROP INDEX testcase_attachment_lockedby_FKIndex;
ALTER TABLE table_case_attach              DROP INDEX testcase_attachment_FKIndex1;
ALTER TABLE table_case_attach              ADD INDEX case_attach_IK_1(locked_by);
ALTER TABLE table_case_attach              ADD INDEX case_attach_IK_2(case_id);
ALTER TABLE table_case_attach              ADD FOREIGN KEY (locked_by)                          REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_case_attach              ADD FOREIGN KEY (case_id)                            REFERENCES table_case(case_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_case_attach_data         DROP INDEX testcase_content_FKIndex1;
ALTER TABLE table_case_attach_data         DROP INDEX testcase_content_FKIndex2;
ALTER TABLE table_case_attach_data         ADD INDEX case_attach_data_IK_1(attachment_id);
ALTER TABLE table_case_attach_data         ADD INDEX case_attach_data_IK_2(author_id);
ALTER TABLE table_case_attach_data         ADD FOREIGN KEY (attachment_id)                      REFERENCES table_case_attach(attachment_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_case_attach_data         ADD FOREIGN KEY (author_id)                          REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_test_attach              DROP INDEX test_attachment_lockedby_FKIndex;
ALTER TABLE table_test_attach              DROP INDEX test_attachment_FKIndex1;
ALTER TABLE table_test_attach              ADD INDEX test_attach_IK_1(locked_by);
ALTER TABLE table_test_attach              ADD INDEX test_attach_IK_2(test_id);
ALTER TABLE table_test_attach              ADD FOREIGN KEY (locked_by)                          REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_test_attach              ADD FOREIGN KEY (test_id)                            REFERENCES table_test(test_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_test_attach_data         DROP INDEX test_content_FKIndex1;
ALTER TABLE table_test_attach_data         DROP INDEX test_content_FKIndex2;
ALTER TABLE table_test_attach_data         ADD INDEX test_attach_data_IK_1(attachment_id);
ALTER TABLE table_test_attach_data         ADD INDEX test_attach_data_IK_2(author_id);
ALTER TABLE table_test_attach_data         ADD FOREIGN KEY (attachment_id)                      REFERENCES table_test_attach(attachment_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_test_attach_data         ADD FOREIGN KEY (author_id)                          REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_folder_attach            DROP INDEX folder_attachment_lockedby_FKIndex;
ALTER TABLE table_folder_attach            DROP INDEX test_attachment_FKIndex1;
ALTER TABLE table_folder_attach            ADD INDEX folder_attach_IK_1(locked_by);
ALTER TABLE table_folder_attach            ADD INDEX folder_attach_IK_2(folder_id);
ALTER TABLE table_folder_attach            ADD FOREIGN KEY (locked_by)                          REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_folder_attach            ADD FOREIGN KEY (folder_id)                          REFERENCES table_folder(folder_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_folder_attach_data       DROP INDEX folder_content_FKIndex1;
ALTER TABLE table_folder_attach_data       DROP INDEX folder_content_FKIndex2;
ALTER TABLE table_folder_attach_data       ADD INDEX folder_attach_data_IK_1(attachment_id);
ALTER TABLE table_folder_attach_data       ADD INDEX folder_attach_data_IK_2(author_id);
ALTER TABLE table_folder_attach_data       ADD FOREIGN KEY (attachment_id)                      REFERENCES table_folder_attach(attachment_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_folder_attach_data       ADD FOREIGN KEY (author_id)                          REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_category_attach          DROP INDEX category_attachment_lockedby_FKIndex;
ALTER TABLE table_category_attach          DROP INDEX test_attachment_FKIndex1;
ALTER TABLE table_category_attach          ADD INDEX category_attach_IK_1(locked_by);
ALTER TABLE table_category_attach          ADD INDEX category_attach_IK_2(category_id);
ALTER TABLE table_category_attach          ADD FOREIGN KEY (locked_by)                          REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_category_attach          ADD FOREIGN KEY (category_id)                        REFERENCES table_category(category_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_category_attach_data     DROP INDEX category_content_FKIndex1;
ALTER TABLE table_category_attach_data     DROP INDEX category_content_FKIndex2;
ALTER TABLE table_category_attach_data     DROP INDEX category_categorycontent_FKIndex2;
ALTER TABLE table_category_attach_data     ADD INDEX category_attach_data_IK_1(attachment_id);
ALTER TABLE table_category_attach_data     ADD INDEX category_attach_data_IK_2(author_id);
ALTER TABLE table_category_attach_data     ADD FOREIGN KEY (attachment_id)                      REFERENCES table_category_attach(attachment_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_category_attach_data     ADD FOREIGN KEY (author_id)                          REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_case_exec_attach         DROP INDEX testcase_execution_attachment_lockedby_FKIndex;
ALTER TABLE table_case_exec_attach         DROP INDEX test_attachment_FKIndex1;
ALTER TABLE table_case_exec_attach         ADD INDEX case_exec_attach_IK_1(locked_by);
ALTER TABLE table_case_exec_attach         ADD INDEX case_exec_attach_IK_2(testcase_exec_id);
ALTER TABLE table_case_exec_attach         ADD FOREIGN KEY (locked_by)                          REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_case_exec_attach         ADD FOREIGN KEY (testcase_exec_id)                   REFERENCES table_case_exec(testcase_exec_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_case_exec_attach_data    DROP INDEX testcase_execution_content_FKIndex1;
ALTER TABLE table_case_exec_attach_data    DROP INDEX testcase_execution_content_FKIndex2;
ALTER TABLE table_case_exec_attach_data    ADD INDEX case_exec_attach_data_IK_1(attachment_id);
ALTER TABLE table_case_exec_attach_data    ADD INDEX case_exec_attach_data_IK_2(author_id);
ALTER TABLE table_case_exec_attach_data    ADD FOREIGN KEY (attachment_id)                      REFERENCES table_case_exec_attach(attachment_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_case_exec_attach_data    ADD FOREIGN KEY (author_id)                          REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_def_int_attach           DROP INDEX defect_attachment_lockedby_FKIndex;
ALTER TABLE table_def_int_attach           DROP INDEX test_attachment_FKIndex1;
ALTER TABLE table_def_int_attach           ADD INDEX def_int_attach_IK_1(locked_by);
ALTER TABLE table_def_int_attach           ADD INDEX def_int_attach_IK_2(defect_id);
ALTER TABLE table_def_int_attach           ADD FOREIGN KEY (locked_by)                          REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_def_int_attach           ADD FOREIGN KEY (defect_id)                          REFERENCES table_def_int(defect_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_def_int_attach_data      DROP INDEX defect_content_FKIndex1;
ALTER TABLE table_def_int_attach_data      DROP INDEX defect_content_FKIndex2;
ALTER TABLE table_def_int_attach_data      ADD INDEX def_int_attach_data_IK_1(attachment_id);
ALTER TABLE table_def_int_attach_data      ADD INDEX def_int_attach_data_IK_2(author_id);
ALTER TABLE table_def_int_attach_data      ADD FOREIGN KEY (attachment_id)                      REFERENCES table_def_int_attach(attachment_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_def_int_attach_data      ADD FOREIGN KEY (author_id)                          REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_sess_attach              DROP INDEX campaign_session_attachment_lockedby_FKIndex;
ALTER TABLE table_sess_attach              DROP INDEX campaign_session_attachment_FKIndex1;
ALTER TABLE table_sess_attach              ADD INDEX sess_attach_IK_1(locked_by);
ALTER TABLE table_sess_attach              ADD INDEX sess_attach_IK_2(campaign_session_id);
ALTER TABLE table_sess_attach              ADD FOREIGN KEY (locked_by)                          REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_sess_attach              ADD FOREIGN KEY (campaign_session_id)                REFERENCES table_sess(campaign_session_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_sess_attach_data         DROP INDEX campaign_session_content_FKIndex1;
ALTER TABLE table_sess_attach_data         DROP INDEX campaign_session_content_FKIndex2;
ALTER TABLE table_sess_attach_data         ADD INDEX sess_attach_data_IK_1(attachment_id);
ALTER TABLE table_sess_attach_data         ADD INDEX sess_attach_data_IK_2(author_id);
ALTER TABLE table_sess_attach_data         ADD FOREIGN KEY (attachment_id)                      REFERENCES table_sess_attach(attachment_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_sess_attach_data         ADD FOREIGN KEY (author_id)                          REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_req_int_attach           DROP INDEX requirement_attachment_lockedby_FKIndex;
ALTER TABLE table_req_int_attach           DROP INDEX req_attachment_FKIndex1;
ALTER TABLE table_req_int_attach           ADD INDEX req_int_attach_IK_1(locked_by);
ALTER TABLE table_req_int_attach           ADD INDEX req_int_attach_IK_2(requirement_id);
ALTER TABLE table_req_int_attach           ADD FOREIGN KEY (locked_by)                          REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_req_int_attach           ADD FOREIGN KEY (requirement_id)                     REFERENCES table_req_int(requirement_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_req_int_attach_data      DROP INDEX requirement_content_FKIndex1;
ALTER TABLE table_req_int_attach_data      DROP INDEX requirement_content_FKIndex2;
ALTER TABLE table_req_int_attach_data      ADD INDEX req_int_attach_data_IK_1(attachment_id);
ALTER TABLE table_req_int_attach_data      ADD INDEX req_int_attach_data_IK_2(author_id);
ALTER TABLE table_req_int_attach_data      ADD FOREIGN KEY (attachment_id)                      REFERENCES table_req_int_attach(attachment_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_req_int_attach_data      ADD FOREIGN KEY (author_id)                          REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_spec_attach              DROP INDEX specification_attachment_lockedby_FKIndex;
ALTER TABLE table_spec_attach              DROP INDEX spec_attachment_FKIndex1;
ALTER TABLE table_spec_attach              ADD INDEX spec_attach_IK_1(locked_by);
ALTER TABLE table_spec_attach              ADD INDEX spec_attach_IK_2(specification_id);
ALTER TABLE table_spec_attach              ADD FOREIGN KEY (locked_by)                          REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_spec_attach              ADD FOREIGN KEY (specification_id)                   REFERENCES table_spec(specification_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_spec_attach_data         DROP INDEX specification_content_FKIndex1;
ALTER TABLE table_spec_attach_data         DROP INDEX specification_content_FKIndex2;
ALTER TABLE table_spec_attach_data         ADD INDEX spec_attach_data_IK_1(attachment_id);
ALTER TABLE table_spec_attach_data         ADD INDEX spec_attach_data_IK_2(author_id);
ALTER TABLE table_spec_attach_data         ADD FOREIGN KEY (attachment_id)                      REFERENCES table_spec_attach(attachment_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_spec_attach_data         ADD FOREIGN KEY (author_id)                          REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_monitor                  DROP INDEX monitoring_FKIndex1;
ALTER TABLE table_monitor                  DROP INDEX monitoring_FKIndex2;
ALTER TABLE table_monitor                  ADD INDEX monitor_IK_1(campaign_session_id);
ALTER TABLE table_monitor                  ADD INDEX monitor_IK_2(monitored_id);
ALTER TABLE table_monitor                  ADD FOREIGN KEY (campaign_session_id)                REFERENCES table_sess(campaign_session_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_monitor                  ADD FOREIGN KEY (monitored_id)                       REFERENCES table_agent(agent_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_monitored_results        ADD INDEX monitored_results_IK_1(monitor_id);
ALTER TABLE table_monitored_results        DROP INDEX monitored_results_FKIndex1;

ALTER TABLE table_sch_monitored            DROP INDEX schedule_monitored_FKIndex1;
ALTER TABLE table_sch_monitored            DROP INDEX schedule_monitored_FKIndex2;
ALTER TABLE table_sch_monitored            ADD INDEX sch_monitored_IK_1(schedule_id);
ALTER TABLE table_sch_monitored            ADD INDEX sch_monitored_IK_2(monitored_id);
ALTER TABLE table_sch_monitored            ADD FOREIGN KEY (schedule_id)                        REFERENCES table_sch(schedule_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_sch_monitored            ADD FOREIGN KEY (monitored_id)                       REFERENCES table_agent(agent_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_req_int_data             DROP INDEX requirement_content_FKIndex1;
ALTER TABLE table_req_int_data             ADD INDEX req_int_data_IK_1(requirement_id);
ALTER TABLE table_req_int_data             ADD FOREIGN KEY (requirement_id)                     REFERENCES table_req_int(requirement_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_spec_data                DROP INDEX specification_content_FKIndex1;
ALTER TABLE table_spec_data                ADD INDEX spec_data_IK_1(specification_id);
ALTER TABLE table_spec_data                ADD FOREIGN KEY (specification_id)                   REFERENCES table_spec(specification_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_project_manager          DROP INDEX project_manager_FKIndex1;
ALTER TABLE table_project_manager          DROP INDEX project_manager_FKIndex2;
ALTER TABLE table_project_manager          ADD INDEX project_manager_IK_1(project_id);
ALTER TABLE table_project_manager          ADD INDEX project_manager_IK_2(user_id);
ALTER TABLE table_project_manager          ADD FOREIGN KEY (project_id)                         REFERENCES table_project(project_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_project_manager          ADD FOREIGN KEY (user_id)                            REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_test_url                 DROP INDEX test_url_FKIndex1;
ALTER TABLE table_test_url                 ADD INDEX test_url_IK_1(test_data_id);
ALTER TABLE table_test_url                 ADD FOREIGN KEY (test_data_id)                       REFERENCES table_test_data(data_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_case_case_data           DROP INDEX testcase_testcase_content_id_FKIndex1;
ALTER TABLE table_case_case_data           DROP INDEX testcase_testcase_content_id_FKIndex2;
ALTER TABLE table_case_case_data           ADD INDEX case_case_data_IK_1(case_id);
ALTER TABLE table_case_case_data           ADD INDEX case_case_data_IK_2(data_id);
ALTER TABLE table_case_case_data           ADD FOREIGN KEY (case_id)                            REFERENCES table_case(case_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_case_case_data           ADD FOREIGN KEY (data_id)                            REFERENCES table_case_data(data_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_case_param_string        DROP INDEX testcase_param_string_FKIndex1;
ALTER TABLE table_case_param_string        DROP INDEX testcase_param_string_FKIndex2;
ALTER TABLE table_case_param_string        ADD INDEX case_param_string_IK_1(case_id);
ALTER TABLE table_case_param_string        ADD INDEX case_param_string_IK_2(param_string_id);
ALTER TABLE table_case_param_string        ADD FOREIGN KEY (case_id)                            REFERENCES table_case(case_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_case_param_string        ADD FOREIGN KEY (param_string_id)                    REFERENCES table_param_string(param_string_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_case_param_integer       DROP INDEX testcase_param_integer_FKIndex1;
ALTER TABLE table_case_param_integer       DROP INDEX testcase_param_integer_FKIndex2;
ALTER TABLE table_case_param_integer       ADD INDEX case_param_integer_IK_1(case_id);
ALTER TABLE table_case_param_integer       ADD INDEX case_param_integer_IK_2(param_integer_id);
ALTER TABLE table_case_param_integer       ADD FOREIGN KEY (case_id)                            REFERENCES table_case(case_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_case_param_integer       ADD FOREIGN KEY (param_integer_id)                   REFERENCES table_param_integer(param_integer_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_case_param_boolean       DROP INDEX testcase_param_boolean_FKIndex1;
ALTER TABLE table_case_param_boolean       DROP INDEX testcase_param_boolean_FKIndex2;
ALTER TABLE table_case_param_boolean       ADD INDEX case_param_boolean_IK_1(case_id);
ALTER TABLE table_case_param_boolean       ADD INDEX case_param_boolean_IK_2(param_boolean_id);
ALTER TABLE table_case_param_boolean       ADD FOREIGN KEY (case_id)                            REFERENCES table_case(case_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_case_param_boolean       ADD FOREIGN KEY (param_boolean_id)                   REFERENCES table_param_boolean(param_boolean_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_sess_agent_status        DROP INDEX campaign_session_agent_status_FKIndex1;
ALTER TABLE table_sess_agent_status        DROP INDEX campaign_session_agent_status_FKIndex2;
ALTER TABLE table_sess_agent_status        ADD INDEX sess_agent_status_IK_1(campaign_session_id);
ALTER TABLE table_sess_agent_status        ADD INDEX sess_agent_status_IK_2(agent_id);
ALTER TABLE table_sess_agent_status        ADD FOREIGN KEY (campaign_session_id )               REFERENCES table_sess(campaign_session_id ) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_sess_agent_status        ADD FOREIGN KEY (agent_id)                           REFERENCES table_agent(agent_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_usergroup_user           DROP INDEX usergroup_user_FKIndex1;
ALTER TABLE table_usergroup_user           DROP INDEX usergroup_user_FKIndex2;
ALTER TABLE table_usergroup_user           ADD INDEX usergroup_user_IK_1(usergroup_id);
ALTER TABLE table_usergroup_user           ADD INDEX usergroup_user_IK_2(user_id);
ALTER TABLE table_usergroup_user           ADD FOREIGN KEY (usergroup_id)                       REFERENCES table_usergroup(usergroup_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_usergroup_user           ADD FOREIGN KEY (user_id)                            REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_usergroup_folder         DROP INDEX usergroup_folder_FKIndex1;
ALTER TABLE table_usergroup_folder         DROP INDEX usergroup_folder_FKIndex2;
ALTER TABLE table_usergroup_folder         ADD INDEX usergroup_folder_IK_1(usergroup_id);
ALTER TABLE table_usergroup_folder         ADD INDEX usergroup_folder_IK_2(folder_id);
ALTER TABLE table_usergroup_folder         ADD FOREIGN KEY (usergroup_id)                       REFERENCES table_usergroup(usergroup_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_usergroup_folder         ADD FOREIGN KEY (folder_id)                          REFERENCES table_folder(folder_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_usergroup_company        DROP INDEX usergroup_company_FKIndex1;
ALTER TABLE table_usergroup_company        DROP INDEX usergroup_company_FKIndex2;
ALTER TABLE table_usergroup_company        ADD INDEX usergroup_company_IK_1(usergroup_id);
ALTER TABLE table_usergroup_company        ADD INDEX usergroup_company_IK_2(company_id);
ALTER TABLE table_usergroup_company        ADD FOREIGN KEY (usergroup_id)                       REFERENCES table_usergroup(usergroup_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_usergroup_company        ADD FOREIGN KEY (company_id)                         REFERENCES table_company(company_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_usergroup_category       DROP INDEX usergroup_category_FKIndex1;
ALTER TABLE table_usergroup_category       DROP INDEX usergroup_category_FKIndex2;
ALTER TABLE table_usergroup_category       ADD INDEX usergroup_category_IK_1(usergroup_id);
ALTER TABLE table_usergroup_category       ADD INDEX usergroup_category_IK_2(category_id);
ALTER TABLE table_usergroup_category       ADD FOREIGN KEY (usergroup_id)                       REFERENCES table_usergroup(usergroup_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_usergroup_category       ADD FOREIGN KEY (category_id)                        REFERENCES table_category(category_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_company_attach           DROP INDEX company_attachment_lockedby_FKIndex;
ALTER TABLE table_company_attach           DROP INDEX company_attachment_FKIndex1;
ALTER TABLE table_company_attach           ADD INDEX company_attach_IK_1(locked_by);
ALTER TABLE table_company_attach           ADD INDEX company_attach_IK_2(company_id);
ALTER TABLE table_company_attach           ADD FOREIGN KEY (locked_by)                          REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_company_attach           ADD FOREIGN KEY (company_id)                         REFERENCES table_company(company_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_company_attach_data      DROP INDEX company_content_FKIndex1;
ALTER TABLE table_company_attach_data      DROP INDEX company_content_FKIndex2;
ALTER TABLE table_company_attach_data      ADD INDEX company_attach_data_IK_1(attachment_id);
ALTER TABLE table_company_attach_data      ADD INDEX company_attach_data_IK_2(author_id);
ALTER TABLE table_company_attach_data      ADD FOREIGN KEY (attachment_id)                      REFERENCES table_company_attach(attachment_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_company_attach_data      ADD FOREIGN KEY (author_id)                          REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_sut_attach               DROP INDEX sut_attachment_lockedby_FKIndex;
ALTER TABLE table_sut_attach               DROP INDEX sut_attachment_FKIndex1;
ALTER TABLE table_sut_attach               ADD INDEX sut_attach_IK_1(locked_by);
ALTER TABLE table_sut_attach               ADD INDEX sut_attach_IK_2(sut_id);
ALTER TABLE table_sut_attach               ADD FOREIGN KEY (locked_by)                          REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_sut_attach               ADD FOREIGN KEY (sut_id)                             REFERENCES table_sut(sut_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_sut_attach_data          DROP INDEX sut_content_FKIndex1;
ALTER TABLE table_sut_attach_data          DROP INDEX sut_content_FKIndex2;
ALTER TABLE table_sut_attach_data          ADD INDEX sut_attach_data_IK_1(attachment_id);
ALTER TABLE table_sut_attach_data          ADD INDEX sut_attach_data_IK_2(author_id);
ALTER TABLE table_sut_attach_data          ADD FOREIGN KEY (attachment_id)                      REFERENCES table_sut_attach(attachment_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_sut_attach_data          ADD FOREIGN KEY (author_id)                          REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_project_attach           DROP INDEX project_attachment_lockedby_FKIndex;
ALTER TABLE table_project_attach           DROP INDEX project_attachment_FKIndex1;
ALTER TABLE table_project_attach           ADD INDEX project_attach_IK_1(locked_by);
ALTER TABLE table_project_attach           ADD INDEX project_attach_IK_2(project_id);
ALTER TABLE table_project_attach           ADD FOREIGN KEY (locked_by)                          REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_project_attach           ADD FOREIGN KEY (project_id)                         REFERENCES table_project(project_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_project_attach_data      DROP INDEX project_content_FKIndex1;
ALTER TABLE table_project_attach_data      DROP INDEX project_content_FKIndex2;
ALTER TABLE table_project_attach_data      ADD INDEX project_attach_data_IK_1(attachment_id);
ALTER TABLE table_project_attach_data      ADD INDEX project_attach_data_IK_2(author_id);
ALTER TABLE table_project_attach_data      ADD FOREIGN KEY (attachment_id)                      REFERENCES table_project_attach(attachment_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_project_attach_data      ADD FOREIGN KEY (author_id)                          REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_task_attach              DROP INDEX task_attachment_lockedby_FKIndex;
ALTER TABLE table_task_attach              DROP INDEX task_attachment_FKIndex1;
ALTER TABLE table_task_attach              ADD INDEX task_attach_IK_1(locked_by);
ALTER TABLE table_task_attach              ADD INDEX task_attach_IK_2(task_id);
ALTER TABLE table_task_attach              ADD FOREIGN KEY (locked_by)                          REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_task_attach              ADD FOREIGN KEY (task_id)                            REFERENCES table_task(task_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_task_attach_data         DROP INDEX task_content_FKIndex1;
ALTER TABLE table_task_attach_data         DROP INDEX task_content_FKIndex2;
ALTER TABLE table_task_attach_data         ADD INDEX task_attach_data_IK_1(attachment_id);
ALTER TABLE table_task_attach_data         ADD INDEX task_attach_data_IK_2(author_id);
ALTER TABLE table_task_attach_data         ADD FOREIGN KEY (attachment_id)                      REFERENCES table_task_attach(attachment_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_task_attach_data         ADD FOREIGN KEY (author_id)                          REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_sprint_attach            DROP INDEX sprint_attachment_lockedby_FKIndex;
ALTER TABLE table_sprint_attach            DROP INDEX sprint_attachment_FKIndex1;
ALTER TABLE table_sprint_attach            ADD INDEX sprint_attach_IK_1(locked_by);
ALTER TABLE table_sprint_attach            ADD INDEX sprint_attach_IK_2(sprint_id);
ALTER TABLE table_sprint_attach            ADD FOREIGN KEY (locked_by)                          REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_sprint_attach            ADD FOREIGN KEY (sprint_id)                          REFERENCES table_sprint(sprint_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_sprint_attach_data       DROP INDEX sprint_content_FKIndex1;
ALTER TABLE table_sprint_attach_data       DROP INDEX sprint_content_FKIndex2;
ALTER TABLE table_sprint_attach_data       ADD INDEX sprint_attach_data_IK_1(attachment_id);
ALTER TABLE table_sprint_attach_data       ADD INDEX sprint_attach_data_IK_2(author_id);
ALTER TABLE table_sprint_attach_data       ADD FOREIGN KEY (attachment_id)                      REFERENCES table_sprint_attach(attachment_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_sprint_attach_data       ADD FOREIGN KEY (author_id)                          REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_camp_attach              DROP INDEX campaign_attachment_lockedby_FKIndex;
ALTER TABLE table_camp_attach              DROP INDEX campaign_attachment_FKIndex1;
ALTER TABLE table_camp_attach              ADD INDEX camp_attach_IK_1(locked_by);
ALTER TABLE table_camp_attach              ADD INDEX camp_attach_IK_2(campaign_id);
ALTER TABLE table_camp_attach              ADD FOREIGN KEY (locked_by)                          REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_camp_attach              ADD FOREIGN KEY (campaign_id)                        REFERENCES table_camp(campaign_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_camp_attach_data         DROP INDEX campaign_content_FKIndex1;
ALTER TABLE table_camp_attach_data         DROP INDEX campaign_content_FKIndex2;
ALTER TABLE table_camp_attach_data         ADD INDEX camp_attach_data_IK_1(attachment_id);
ALTER TABLE table_camp_attach_data         ADD INDEX camp_attach_data_IK_2(author_id);
ALTER TABLE table_camp_attach_data         ADD FOREIGN KEY (attachment_id)                      REFERENCES table_camp_attach(attachment_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_camp_attach_data         ADD FOREIGN KEY (author_id)                          REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_req_generic              DROP INDEX requirement_FKIndex1;
ALTER TABLE table_req_generic              ADD INDEX req_generic_IK_1(folder_id);
ALTER TABLE table_req_generic              ADD FOREIGN KEY (folder_id)                          REFERENCES table_folder(folder_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_req_test                 DROP INDEX requirement_test_FKIndex1;
ALTER TABLE table_req_test                 DROP INDEX requirement_test_FKIndex2;
ALTER TABLE table_req_test                 ADD INDEX req_test_IK_1(requirement_id);
ALTER TABLE table_req_test                 ADD INDEX req_test_IK_2(test_id);
ALTER TABLE table_req_test                 ADD FOREIGN KEY (test_id)                            REFERENCES table_test(test_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_def_int_ccemails         DROP INDEX defect_integrated_ccemails_FKIndex1;
ALTER TABLE table_def_int_ccemails         DROP INDEX defect_integrated_ccemails_FKIndex2;
ALTER TABLE table_def_int_ccemails         ADD INDEX def_int_ccemails_IK_1(defect_id);
ALTER TABLE table_def_int_ccemails         ADD INDEX def_int_ccemails_IK_2(user_id);
ALTER TABLE table_def_int_ccemails         ADD FOREIGN KEY (defect_id)                          REFERENCES table_def_int(defect_id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_def_int_ccemails         ADD FOREIGN KEY (user_id)                            REFERENCES table_user(user_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_cust_string_value        ADD INDEX cust_string_value_IK_1(cust_string_id);
ALTER TABLE table_cust_string_value        ADD FOREIGN KEY (cust_string_id)                     REFERENCES table_cust_string(cust_string_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_cust_integer_value       ADD INDEX cust_integer_value_IK_1(cust_integer_id);
ALTER TABLE table_cust_integer_value       ADD FOREIGN KEY (cust_integer_id)                    REFERENCES table_cust_integer(cust_integer_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_cust_boolean_value       ADD INDEX cust_boolean_value_IK_1(cust_boolean_id);
ALTER TABLE table_cust_boolean_value       ADD FOREIGN KEY (cust_boolean_id)                    REFERENCES table_cust_boolean(cust_boolean_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_cust_html_value          ADD INDEX cust_html_value_IK_1(cust_html_id);
ALTER TABLE table_cust_html_value          ADD FOREIGN KEY (cust_html_id)                       REFERENCES table_cust_html(cust_html_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_cust_choice_value        ADD INDEX cust_choice_value_IK_1(cust_choice_id);
ALTER TABLE table_cust_choice_value        ADD FOREIGN KEY (cust_choice_id)                     REFERENCES table_cust_choice(cust_choice_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_attr_string         DROP INDEX attr_string_name;
ALTER TABLE table_attr_string         ADD UNIQUE KEY attr_string_UK_1(attr_string_name);

ALTER TABLE table_attr_integer        DROP INDEX attr_integer_name;
ALTER TABLE table_attr_integer        ADD UNIQUE KEY attr_integer_UK_1(attr_integer_name);

ALTER TABLE table_attr_boolean        DROP INDEX attr_boolean_name;
ALTER TABLE table_attr_boolean        ADD UNIQUE KEY attr_boolean_UK_1(attr_boolean_name);

ALTER TABLE table_sut_data            DROP INDEX sut_id;
ALTER TABLE table_sut_data            ADD UNIQUE KEY sut_data_UK_1(sut_id, revision);

ALTER TABLE table_def_int_data        DROP INDEX defect_id;
ALTER TABLE table_def_int_data        ADD UNIQUE KEY def_int_data_UK_1(defect_id, revision);

ALTER TABLE table_def_int_assigned_to DROP INDEX defect_id;
ALTER TABLE table_def_int_assigned_to ADD UNIQUE KEY def_int_assigned_to_UK_1(defect_id, assigned_to);

ALTER TABLE table_test_data           DROP INDEX test_id;
ALTER TABLE table_test_data           ADD UNIQUE KEY test_data_UK_1(test_id, revision);

ALTER TABLE table_sch_agent           DROP INDEX schedule_id;
ALTER TABLE table_sch_agent           ADD UNIQUE KEY sch_agent_UK_1(schedule_id, agent_id);

ALTER TABLE table_instance            DROP INDEX campaign_session_id;
ALTER TABLE table_instance            ADD UNIQUE KEY instance_UK_1(campaign_session_id, agent_id, instance_index);

ALTER TABLE table_case                DROP INDEX test_id;
ALTER TABLE table_case                ADD UNIQUE KEY case_UK_1(test_id, testcase_index, testcase_name);

ALTER TABLE table_case_exec           DROP INDEX campaign_session_id;
ALTER TABLE table_case_exec           ADD UNIQUE KEY case_exec_UK_1(campaign_session_id, case_id, instance_id);

ALTER TABLE table_test_exec           DROP INDEX campaign_session_id;
ALTER TABLE table_test_exec           ADD UNIQUE KEY test_exec_UK_1(campaign_session_id, test_id, instance_id);

ALTER TABLE table_test_exec_def       DROP INDEX defect_id;
ALTER TABLE table_test_exec_def       ADD UNIQUE KEY test_exec_def_UK_1(defect_id, test_exec_id);

ALTER TABLE table_def_int_sut         DROP INDEX type;
ALTER TABLE table_def_int_sut         ADD UNIQUE KEY def_int_sut_UK_1(type, defect_id, sut_id);

ALTER TABLE table_conf                DROP INDEX jar_name;
ALTER TABLE table_conf                ADD UNIQUE KEY conf_UK_1(jar_name, conf_name);
ALTER TABLE table_conf                DROP INDEX jar_name_2;

ALTER TABLE table_monitor             DROP INDEX campaign_session_id;
ALTER TABLE table_monitor             ADD UNIQUE KEY monitor_UK_1(campaign_session_id, monitored_id);

ALTER TABLE table_sch_monitored       DROP INDEX schedule_id;
ALTER TABLE table_sch_monitored       ADD UNIQUE KEY sch_monitored_UK_1(schedule_id, monitored_id);

ALTER TABLE table_req_int_data        DROP INDEX requirement_id;
ALTER TABLE table_req_int_data        ADD UNIQUE KEY req_int_data_UK_1(requirement_id, revision); 

ALTER TABLE table_spec_data           DROP INDEX specification_id;
ALTER TABLE table_spec_data           ADD UNIQUE KEY spec_data_UK_1(specification_id, revision); 

ALTER TABLE table_project_manager     DROP INDEX project_id;
ALTER TABLE table_project_manager     ADD UNIQUE KEY project_manager_UK_1(project_id, user_id);

ALTER TABLE table_param_string        DROP INDEX param_string_name;
ALTER TABLE table_param_string        ADD UNIQUE KEY param_string_UK_1(param_string_name);

ALTER TABLE table_param_integer       DROP INDEX param_integer_name;
ALTER TABLE table_param_integer       ADD UNIQUE KEY param_integer_UK_1(param_integer_name);

ALTER TABLE table_param_boolean       DROP INDEX param_boolean_name;
ALTER TABLE table_param_boolean       ADD UNIQUE KEY param_boolean_UK_1(param_boolean_name);

ALTER TABLE table_case_case_data      DROP INDEX testcase_id;
ALTER TABLE table_case_case_data      ADD UNIQUE KEY case_case_data_UK_1(case_id, data_id);

ALTER TABLE table_case_param_string   DROP INDEX testcase_id;
ALTER TABLE table_case_param_string   ADD UNIQUE KEY case_param_string_UK_1(case_id, param_string_id);

ALTER TABLE table_case_param_integer  DROP INDEX testcase_id;
ALTER TABLE table_case_param_integer  ADD UNIQUE KEY case_param_integer_UK_1(case_id, param_integer_id);

ALTER TABLE table_case_param_boolean  DROP INDEX testcase_id;
ALTER TABLE table_case_param_boolean  ADD UNIQUE KEY case_param_boolean_UK_1(case_id, param_boolean_id);

ALTER TABLE table_usergroup_user      DROP INDEX usergroup_id;
ALTER TABLE table_usergroup_user      ADD UNIQUE KEY usergroup_user_UK_1(usergroup_id, user_id);

ALTER TABLE table_usergroup_folder    DROP INDEX usergroup_id;
ALTER TABLE table_usergroup_folder    ADD UNIQUE KEY usergroup_folder_UK_1(usergroup_id, folder_id);

ALTER TABLE table_usergroup_company   DROP INDEX usergroup_id;
ALTER TABLE table_usergroup_company   ADD UNIQUE KEY usergroup_company_UK_1(usergroup_id, company_id);

ALTER TABLE table_usergroup_category  DROP INDEX usergroup_id;
ALTER TABLE table_usergroup_category  ADD UNIQUE KEY usergroup_category_UK_1(usergroup_id, category_id);

ALTER TABLE table_cust_string         DROP INDEX custom_field_string_source_type;
ALTER TABLE table_cust_string         ADD UNIQUE KEY cust_string_UK_1(cust_string_source_type, cust_string_name);

ALTER TABLE table_cust_integer        DROP INDEX custom_field_integer_source_type;
ALTER TABLE table_cust_integer        ADD UNIQUE KEY cust_integer_UK_1(cust_integer_source_type, cust_integer_name);

ALTER TABLE table_cust_boolean        DROP INDEX custom_field_boolean_source_type;
ALTER TABLE table_cust_boolean        ADD UNIQUE KEY cust_boolean_UK_1(cust_boolean_source_type, cust_boolean_name);

ALTER TABLE table_cust_html           DROP INDEX custom_field_html_source_type;
ALTER TABLE table_cust_html           ADD UNIQUE KEY cust_html_UK_1(cust_html_source_type, cust_html_name);

ALTER TABLE table_cust_choice         DROP INDEX custom_field_stringchoice_source_type;
ALTER TABLE table_cust_choice         ADD UNIQUE KEY cust_choice_UK_1(cust_choice_source_type, cust_choice_name);

ALTER TABLE table_cust_string_value   ADD UNIQUE KEY cust_string_value_UK_1(cust_string_id, source_id);
ALTER TABLE table_cust_string_value   DROP INDEX custom_field_string_id;

ALTER TABLE table_cust_integer_value  ADD UNIQUE KEY cust_integer_value_UK_1(cust_integer_id, source_id);
ALTER TABLE table_cust_integer_value  DROP INDEX custom_field_integer_id;

ALTER TABLE table_cust_boolean_value  ADD UNIQUE KEY cust_boolean_value_UK_1(cust_boolean_id, source_id);
ALTER TABLE table_cust_boolean_value  DROP INDEX custom_field_boolean_id;

ALTER TABLE table_cust_html_value     ADD UNIQUE KEY cust_html_value_UK_1(cust_html_id, source_id);
ALTER TABLE table_cust_html_value     DROP INDEX custom_field_html_id;

ALTER TABLE table_cust_choice_value   ADD UNIQUE KEY cust_choice_value_UK_1(cust_choice_id, source_id);
ALTER TABLE table_cust_choice_value   DROP INDEX custom_field_stringchoice_id;

ALTER TABLE table_sync                DROP INDEX instance_id;
ALTER TABLE table_sync                ADD UNIQUE KEY sync_UK_1(instance_id, category_id, sync_id);

ALTER TABLE table_camp ADD parallel_execution BOOL NOT NULL DEFAULT 1;

