UPDATE table_version SET version_number = '44' WHERE version_id = '1';

ALTER TABLE table_sut_data ADD coverage TINYINT UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE table_req_int_data ADD coverage TINYINT UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE table_spec_data ADD coverage TINYINT UNSIGNED NOT NULL DEFAULT 0;

ALTER TABLE table_cust_boolean_value   DROP FOREIGN KEY table_cust_boolean_value_ibfk_1;
ALTER TABLE table_cust_boolean_value   ADD FOREIGN KEY (cust_boolean_id)   REFERENCES table_cust_boolean(cust_boolean_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_cust_string_value    DROP FOREIGN KEY table_cust_string_value_ibfk_1;
ALTER TABLE table_cust_string_value    ADD FOREIGN KEY (cust_string_id)    REFERENCES table_cust_string(cust_string_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_cust_integer_value   DROP FOREIGN KEY table_cust_integer_value_ibfk_1;
ALTER TABLE table_cust_integer_value   ADD FOREIGN KEY (cust_integer_id)   REFERENCES table_cust_integer(cust_integer_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_cust_html_value      DROP FOREIGN KEY table_cust_html_value_ibfk_1;
ALTER TABLE table_cust_html_value      ADD FOREIGN KEY (cust_html_id)      REFERENCES table_cust_html(cust_html_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_cust_choice_value    DROP FOREIGN KEY table_cust_choice_value_ibfk_1;
ALTER TABLE table_cust_choice_value    ADD FOREIGN KEY (cust_choice_id)    REFERENCES table_cust_choice(cust_choice_id) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE table_case_data CHANGE data_id data_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE table_case_case_data DROP FOREIGN KEY table_case_case_data_ibfk_1;
ALTER TABLE table_case_case_data DROP FOREIGN KEY table_case_case_data_ibfk_2;
ALTER TABLE table_case_case_data DROP FOREIGN KEY table_case_case_data_ibfk_3;
ALTER TABLE table_case_case_data ADD FOREIGN KEY (case_id) REFERENCES table_case(case_id)      ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE table_case_case_data ADD FOREIGN KEY (data_id) REFERENCES table_case_data(data_id) ON DELETE CASCADE ON UPDATE NO ACTION;



