UPDATE table_version SET version_number = '55' WHERE version_id = '1';

ALTER TABLE table_expl_data DROP COLUMN status;
ALTER TABLE table_expl_data DROP COLUMN startDate;
ALTER TABLE table_expl_data DROP COLUMN stopDate;
ALTER TABLE table_expl_data DROP COLUMN cummul_runtime;
ALTER TABLE table_expl_data ADD COLUMN  cumul_runtime BIGINT UNSIGNED NOT NULL DEFAULT 0;

ALTER TABLE table_expl      ADD COLUMN status        TINYINT NOT NULL DEFAULT 1;
ALTER TABLE table_expl      ADD COLUMN startDate     DATETIME NULL;
ALTER TABLE table_expl      ADD COLUMN stopDate      DATETIME NULL;

DROP TABLE table_def_int_expl;
CREATE TABLE table_def_expl (
  defect_id INTEGER UNSIGNED NOT NULL,
  expl_id INTEGER UNSIGNED NOT NULL,
  UNIQUE KEY def_int_expl_UK_1(defect_id, expl_id),
  INDEX def_int_expl_IK_1(defect_id),
  INDEX def_int_expl_IK_2(expl_id),
  FOREIGN KEY (expl_id)
    REFERENCES table_expl(expl_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION
)
ENGINE=INNODB;