UPDATE table_version SET version_number = '47' WHERE version_id = '1';

ALTER TABLE table_category              MODIFY category_envDesc NULL;

ALTER TABLE table_def_int_data          MODIFY step_to_reproduce NULL;

ALTER TABLE table_test_data             MODIFY test_description NULL;
ALTER TABLE table_test_data             MODIFY test_canonicalPath NULL;
ALTER TABLE table_test_data             MODIFY test_prerequisites NULL;
ALTER TABLE table_test_data             MODIFY additional_info NULL;

ALTER TABLE table_case_data             MODIFY additional_info NULL;

ALTER TABLE table_test_attr_string      MODIFY test_attr_string_value NULL;
ALTER TABLE table_sess_attr_string      MODIFY value NULL;

ALTER TABLE table_change                MODIFY information NULL;

ALTER TABLE table_case_attach_data      MODIFY attachment_data NULL;
ALTER TABLE table_test_attach_data      MODIFY attachment_data NULL;
ALTER TABLE table_folder_attach_data    MODIFY attachment_data NULL;
ALTER TABLE table_category_attach_data  MODIFY attachment_data NULL;
ALTER TABLE table_case_exec_attach_data MODIFY attachment_data NULL;
ALTER TABLE table_def_int_attach_data   MODIFY attachment_data NULL;
ALTER TABLE table_sess_attach_data      MODIFY attachment_data NULL;
ALTER TABLE table_req_int_attach_data   MODIFY attachment_data NULL;
ALTER TABLE table_spec_attach_data      MODIFY attachment_data NULL;
ALTER TABLE table_company_attach_data   MODIFY attachment_data NULL;
ALTER TABLE table_sut_attach_data       MODIFY attachment_data NULL;
ALTER TABLE table_project_attach_data   MODIFY attachment_data NULL;
ALTER TABLE table_task_attach_data      MODIFY attachment_data NULL;
ALTER TABLE table_sprint_attach_data    MODIFY attachment_data NULL;
ALTER TABLE table_camp_attach_data      MODIFY attachment_data NULL;

ALTER TABLE table_monitored_results     MODIFY subclass NULL;

ALTER TABLE table_param_string          MODIFY param_string_normal_values NULL;
ALTER TABLE table_param_string          MODIFY param_string_invalid_values NULL;
ALTER TABLE table_param_integer         MODIFY param_integer_normal_values NULL;
ALTER TABLE table_param_integer         MODIFY param_integer_invalid_values NULL;

ALTER TABLE table_cust_string           ADD tmpDefValue VARCHAR(512 CHAR) NULL;
UPDATE table_cust_string                SET tmpDefValue = DBMS_LOB.SUBSTR(cust_string_default_value), cust_string_default_value = NULL;
ALTER TABLE table_cust_string           DROP COLUMN cust_string_default_value;
ALTER TABLE table_cust_string           RENAME COLUMN tmpDefValue to cust_string_default_value;

ALTER TABLE table_cust_string           ADD tmpPosition NUMBER(5,0) DEFAULT '1' NOT NULL;
UPDATE table_cust_string                SET tmpPosition = position, position = NULL;
ALTER TABLE table_cust_string           DROP COLUMN position;
ALTER TABLE table_cust_string           RENAME COLUMN tmpPosition to position;

ALTER TABLE table_cust_html             MODIFY cust_html_default_value NULL;

ALTER TABLE table_cust_string_value     MODIFY value NULL;
ALTER TABLE table_cust_html_value       MODIFY value NULL;
ALTER TABLE table_cust_choice_value     MODIFY value NULL;



