<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" indent="yes" encoding="UTF-8"/>

<xsl:template name="insertCharts">
    <xsl:param name="graphInReportsEnabled"/>
    <xsl:param name="domain"/>
  <br/>
  <xsl:if test="$graphInReportsEnabled='true'">
    <xsl:if test="$domain=1 or $domain=3"> <!-- root or folder testplan -->
      <table border="0" cellpading="0" cellspacing="0">
        <tr>
          <xsl:if test="$specificationInLifecycle = 'true'">
            <td valign="top">#requirement.Specifications#</td>
            <td>&#160;&#160;&#160;&#160;&#160;</td>
          </xsl:if>
          <td valign="top">#requirement.Tests#</td>
        </tr>
      	<tr>
      	  <xsl:if test="$specificationInLifecycle = 'true'">
  					<td valign="top"><img src="resources/images/coverage_bar_specification.jpg" alt="&lt;no data in graph&gt;"/></td>
            <td></td>
          </xsl:if>
					<td valign="top"><img src="resources/images/coverage_bar_test.jpg" alt="&lt;no data in graph&gt;"/></td>
				</tr>
			</table>
    </xsl:if>	
		<br/><br/>
	</xsl:if>
	<br/>
</xsl:template>

</xsl:stylesheet>