<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" indent="yes" encoding="UTF-8"/>

	<xsl:template name="priorityToString">
		<xsl:param name="priority"/>
		<xsl:if test="$priority='10'">#sprint.task.priority.High#</xsl:if>
		<xsl:if test="$priority='50'">#sprint.task.priority.Normal#</xsl:if>
		<xsl:if test="$priority='60'">#sprint.task.priority.Low#</xsl:if>
	</xsl:template>

	<xsl:template name="statusToString">
		<xsl:param name="status"/>
		<xsl:if test="$status='10'">#task.sprint.status.Idle#</xsl:if>
		<xsl:if test="$status='20'">#task.sprint.status.Running#</xsl:if>
		<xsl:if test="$status='30'">#task.sprint.status.Finished#</xsl:if>
	</xsl:template>


<xsl:template name="insertCharts">
    <xsl:param name="graphInReportsEnabled"/>
    <xsl:param name="domain"/>
  <br/>
  <xsl:if test="$graphInReportsEnabled='true'">
    <xsl:if test="$domain=3"> <!-- sprint report -->
      <table border="0" cellpading="0" cellspacing="0">
      	<tr>
					<td valign="top"><img src="resources/images/velocity_graph_details.jpg" alt="&lt;no data in graph&gt;"/></td>
				</tr>
      	<tr>
					<td valign="top"><img src="resources/images/velocity_graph_relative.jpg" alt="&lt;no data in graph&gt;"/></td>
				</tr>
			</table>  				
    </xsl:if>	
		<br/><br/>
	</xsl:if>
  <br/>        
</xsl:template>

</xsl:stylesheet>