$testcaseArgument = $ARGV[1];
@testid = $testcaseArgument =~ /\=(\d+)/g;
print "argument: ";
print $testcaseArgument;
print "\n";

$testids=$testid[0];
print "testcase index: ";
print $testids;
print "\n";

use Switch;
switch ($testids) {

  # -------------------------------------------
  # Testcase 1
  # -------------------------------------------
  case 1 {
    print "Testcase 1 starting...\n";
    for($i=0; $i<10; $i++) {
      print $i;
      print "\n";
    }

    open FILE,">C:\\test_completed.txt" or die $!;
    print FILE "completed";
    close FILE;

    open FILE,">C:\\log.txt" or die $!;
    print FILE "\[Log\] Some traces of testcase 1\n";
    print FILE "\[Log\] Again some traces of testcase 1\n";
    print FILE "\[Success\] Testcase 1 successfully counted until 10\n";
    close FILE;
  }

  # -------------------------------------------
  # Testcase 2
  # -------------------------------------------
  case 2 {
    print "Testcase 2 starting...\n";
    for($i=11; $i<20; $i++) {
      print $i;
      print "\n";
    }

    open FILE,">C:\\test_completed.txt" or die $!;
    print FILE "completed";
    close FILE;

    open FILE,">C:\\log.txt" or die $!;
    print FILE "\[Log\] Some traces of testcase 2\n";
    print FILE "\[Log\] Again some traces of testcase 2\n";
    print FILE "\[Failure\] Testcase 2 did not successfully counted until 100\n";
    close FILE;
  }
}

