<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" indent="yes" encoding="UTF-8"/>

  <!-- global variables -->
  <xsl:variable name="codebase" select="testplans/@codebase" />
  <xsl:variable name="bugtrackingType" select="testplans/@bugTrackingType" />
  <xsl:variable name="requirementTrackingType" select="testplans/@requirementTrackingType" />

  <xsl:include href="#export_absolute_path#xsl/testplanHTML_Excel_Lib.xslt"/>
	<xsl:template match="/">
		<xsl:variable name="campaignName"        select="testplans/campaign/@name" />
		<xsl:variable name="authorName"          select="testplans/@author" />

		<xsl:call-template name="mainTemplate">
			<xsl:with-param name="campaignName" select="$campaignName"/>
			<xsl:with-param name="authorName" select="$authorName"/>
			<xsl:with-param name="DocumentType" select="'Short'"/>
		</xsl:call-template>		

	</xsl:template>

</xsl:stylesheet>